/* Copyright (c) 2001, Stanford University
	All rights reserved.

	See the file LICENSE.txt for information on redistributing this software. */
	
#ifndef CR_PACKFUNCTIONS_H
#define CR_PACKFUNCTIONS_H

/* DO NOT EDIT - THIS FILE GENERATED BY THE pack_header.py SCRIPT */

/* Prototypes for the OpenGL packer functions in packer.c and pack_bbox.c */

#include "chromium.h"
#include "state/cr_client.h"
#include "cr_pack.h"

#ifdef WINDOWS
#define PACK_APIENTRY __stdcall
#else
#define PACK_APIENTRY
#endif

#ifdef __cplusplus
extern "C" {
#endif

void PACK_APIENTRY crPackAccum( GLenum op, GLfloat value );
void PACK_APIENTRY crPackAccumSWAP( GLenum op, GLfloat value );
void PACK_APIENTRY crPackActiveStencilFaceEXT( GLenum face );
void PACK_APIENTRY crPackActiveStencilFaceEXTSWAP( GLenum face );
void PACK_APIENTRY crPackActiveTextureARB( GLenum texture );
void PACK_APIENTRY crPackActiveTextureARBSWAP( GLenum texture );
void PACK_APIENTRY crPackAlphaFunc( GLenum func, GLclampf ref );
void PACK_APIENTRY crPackAlphaFuncSWAP( GLenum func, GLclampf ref );
void PACK_APIENTRY crPackAreProgramsResidentNV( GLsizei n, const GLuint * ids, GLboolean * residences, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackAreProgramsResidentNVSWAP( GLsizei n, const GLuint * ids, GLboolean * residences, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackAreTexturesResident( GLsizei n, const GLuint * textures, GLboolean * residences, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackAreTexturesResidentSWAP( GLsizei n, const GLuint * textures, GLboolean * residences, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackArrayElement( GLint i );
void PACK_APIENTRY crPackArrayElementSWAP( GLint i );
void PACK_APIENTRY crPackAttachShader( GLuint program, GLuint shader );
void PACK_APIENTRY crPackAttachShaderSWAP( GLuint program, GLuint shader );
void PACK_APIENTRY crPackBarrierCreateCR( GLuint name, GLuint count );
void PACK_APIENTRY crPackBarrierCreateCRSWAP( GLuint name, GLuint count );
void PACK_APIENTRY crPackBarrierDestroyCR( GLuint name );
void PACK_APIENTRY crPackBarrierDestroyCRSWAP( GLuint name );
void PACK_APIENTRY crPackBarrierExecCR( GLuint name );
void PACK_APIENTRY crPackBarrierExecCRSWAP( GLuint name );
void PACK_APIENTRY crPackBegin( GLenum mode );
void PACK_APIENTRY crPackBeginSWAP( GLenum mode );
void PACK_APIENTRY crPackBeginQueryARB( GLenum target, GLuint id );
void PACK_APIENTRY crPackBeginQueryARBSWAP( GLenum target, GLuint id );
void PACK_APIENTRY crPackBindAttribLocation( GLuint program, GLuint index, const char * name );
void PACK_APIENTRY crPackBindAttribLocationSWAP( GLuint program, GLuint index, const char * name );
void PACK_APIENTRY crPackBindBufferARB( GLenum target, GLuint buffer );
void PACK_APIENTRY crPackBindBufferARBSWAP( GLenum target, GLuint buffer );
void PACK_APIENTRY crPackBindFramebufferEXT( GLenum target, GLuint framebuffer );
void PACK_APIENTRY crPackBindFramebufferEXTSWAP( GLenum target, GLuint framebuffer );
void PACK_APIENTRY crPackBindProgramARB( GLenum target, GLuint program );
void PACK_APIENTRY crPackBindProgramARBSWAP( GLenum target, GLuint program );
void PACK_APIENTRY crPackBindProgramNV( GLenum target, GLuint id );
void PACK_APIENTRY crPackBindProgramNVSWAP( GLenum target, GLuint id );
void PACK_APIENTRY crPackBindRenderbufferEXT( GLenum target, GLuint renderbuffer );
void PACK_APIENTRY crPackBindRenderbufferEXTSWAP( GLenum target, GLuint renderbuffer );
void PACK_APIENTRY crPackBindTexture( GLenum target, GLuint texture );
void PACK_APIENTRY crPackBindTextureSWAP( GLenum target, GLuint texture );
void PACK_APIENTRY crPackBitmap( GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackBitmapSWAP( GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte * bitmap, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackBlendColorEXT( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );
void PACK_APIENTRY crPackBlendColorEXTSWAP( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );
void PACK_APIENTRY crPackBlendEquationEXT( GLenum mode );
void PACK_APIENTRY crPackBlendEquationEXTSWAP( GLenum mode );
void PACK_APIENTRY crPackBlendEquationSeparate( GLenum modeRGB, GLenum modeAlpha );
void PACK_APIENTRY crPackBlendEquationSeparateSWAP( GLenum modeRGB, GLenum modeAlpha );
void PACK_APIENTRY crPackBlendFunc( GLenum sfactor, GLenum dfactor );
void PACK_APIENTRY crPackBlendFuncSWAP( GLenum sfactor, GLenum dfactor );
void PACK_APIENTRY crPackBlendFuncSeparateEXT( GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorA, GLenum dfactorA );
void PACK_APIENTRY crPackBlendFuncSeparateEXTSWAP( GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorA, GLenum dfactorA );
void PACK_APIENTRY crPackBlitFramebufferEXT( GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter );
void PACK_APIENTRY crPackBlitFramebufferEXTSWAP( GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter );
void PACK_APIENTRY crPackBoundsInfoCR( const CRrecti * bounds, const GLbyte * payload, GLint len, GLint num_opcodes );
void PACK_APIENTRY crPackBoundsInfoCRSWAP( const CRrecti * bounds, const GLbyte * payload, GLint len, GLint num_opcodes );
void PACK_APIENTRY crPackBufferDataARB( GLenum target, GLsizeiptrARB size, const GLvoid * data, GLenum usage );
void PACK_APIENTRY crPackBufferDataARBSWAP( GLenum target, GLsizeiptrARB size, const GLvoid * data, GLenum usage );
void PACK_APIENTRY crPackBufferSubDataARB( GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid * data );
void PACK_APIENTRY crPackBufferSubDataARBSWAP( GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid * data );
void PACK_APIENTRY crPackCallList( GLuint list );
void PACK_APIENTRY crPackCallListSWAP( GLuint list );
void PACK_APIENTRY crPackCallLists( GLsizei n, GLenum type, const GLvoid * lists );
void PACK_APIENTRY crPackCallListsSWAP( GLsizei n, GLenum type, const GLvoid * lists );
void PACK_APIENTRY crPackCheckFramebufferStatusEXT( GLenum target, GLenum* return_value, int * writeback );
void PACK_APIENTRY crPackCheckFramebufferStatusEXTSWAP( GLenum target, GLenum* return_value, int * writeback );
void PACK_APIENTRY crPackChromiumParameterfCR( GLenum target, GLfloat value );
void PACK_APIENTRY crPackChromiumParameterfCRSWAP( GLenum target, GLfloat value );
void PACK_APIENTRY crPackChromiumParameteriCR( GLenum target, GLint value );
void PACK_APIENTRY crPackChromiumParameteriCRSWAP( GLenum target, GLint value );
void PACK_APIENTRY crPackChromiumParametervCR( GLenum target, GLenum type, GLsizei count, const GLvoid * values );
void PACK_APIENTRY crPackChromiumParametervCRSWAP( GLenum target, GLenum type, GLsizei count, const GLvoid * values );
void PACK_APIENTRY crPackClear( GLbitfield mask );
void PACK_APIENTRY crPackClearSWAP( GLbitfield mask );
void PACK_APIENTRY crPackClearAccum( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );
void PACK_APIENTRY crPackClearAccumSWAP( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );
void PACK_APIENTRY crPackClearColor( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );
void PACK_APIENTRY crPackClearColorSWAP( GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha );
void PACK_APIENTRY crPackClearDepth( GLclampd depth );
void PACK_APIENTRY crPackClearDepthSWAP( GLclampd depth );
void PACK_APIENTRY crPackClearIndex( GLfloat c );
void PACK_APIENTRY crPackClearIndexSWAP( GLfloat c );
void PACK_APIENTRY crPackClearStencil( GLint s );
void PACK_APIENTRY crPackClearStencilSWAP( GLint s );
void PACK_APIENTRY crPackClientActiveTextureARB( GLenum texture );
void PACK_APIENTRY crPackClientActiveTextureARBSWAP( GLenum texture );
void PACK_APIENTRY crPackClipPlane( GLenum plane, const GLdouble * equation );
void PACK_APIENTRY crPackClipPlaneSWAP( GLenum plane, const GLdouble * equation );
void PACK_APIENTRY crPackColor3b( GLbyte red, GLbyte green, GLbyte blue );
void PACK_APIENTRY crPackColor3bSWAP( GLbyte red, GLbyte green, GLbyte blue );
void PACK_APIENTRY crPackColor3bv( const GLbyte * v );
void PACK_APIENTRY crPackColor3bvSWAP( const GLbyte * v );
void PACK_APIENTRY crPackColor3d( GLdouble red, GLdouble green, GLdouble blue );
void PACK_APIENTRY crPackColor3dSWAP( GLdouble red, GLdouble green, GLdouble blue );
void PACK_APIENTRY crPackColor3dv( const GLdouble * v );
void PACK_APIENTRY crPackColor3dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackColor3f( GLfloat red, GLfloat green, GLfloat blue );
void PACK_APIENTRY crPackColor3fSWAP( GLfloat red, GLfloat green, GLfloat blue );
void PACK_APIENTRY crPackColor3fv( const GLfloat * v );
void PACK_APIENTRY crPackColor3fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackColor3i( GLint red, GLint green, GLint blue );
void PACK_APIENTRY crPackColor3iSWAP( GLint red, GLint green, GLint blue );
void PACK_APIENTRY crPackColor3iv( const GLint * v );
void PACK_APIENTRY crPackColor3ivSWAP( const GLint * v );
void PACK_APIENTRY crPackColor3s( GLshort red, GLshort green, GLshort blue );
void PACK_APIENTRY crPackColor3sSWAP( GLshort red, GLshort green, GLshort blue );
void PACK_APIENTRY crPackColor3sv( const GLshort * v );
void PACK_APIENTRY crPackColor3svSWAP( const GLshort * v );
void PACK_APIENTRY crPackColor3ub( GLubyte red, GLubyte green, GLubyte blue );
void PACK_APIENTRY crPackColor3ubSWAP( GLubyte red, GLubyte green, GLubyte blue );
void PACK_APIENTRY crPackColor3ubv( const GLubyte * v );
void PACK_APIENTRY crPackColor3ubvSWAP( const GLubyte * v );
void PACK_APIENTRY crPackColor3ui( GLuint red, GLuint green, GLuint blue );
void PACK_APIENTRY crPackColor3uiSWAP( GLuint red, GLuint green, GLuint blue );
void PACK_APIENTRY crPackColor3uiv( const GLuint * v );
void PACK_APIENTRY crPackColor3uivSWAP( const GLuint * v );
void PACK_APIENTRY crPackColor3us( GLushort red, GLushort green, GLushort blue );
void PACK_APIENTRY crPackColor3usSWAP( GLushort red, GLushort green, GLushort blue );
void PACK_APIENTRY crPackColor3usv( const GLushort * v );
void PACK_APIENTRY crPackColor3usvSWAP( const GLushort * v );
void PACK_APIENTRY crPackColor4b( GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha );
void PACK_APIENTRY crPackColor4bSWAP( GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha );
void PACK_APIENTRY crPackColor4bv( const GLbyte * v );
void PACK_APIENTRY crPackColor4bvSWAP( const GLbyte * v );
void PACK_APIENTRY crPackColor4d( GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha );
void PACK_APIENTRY crPackColor4dSWAP( GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha );
void PACK_APIENTRY crPackColor4dv( const GLdouble * v );
void PACK_APIENTRY crPackColor4dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackColor4f( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );
void PACK_APIENTRY crPackColor4fSWAP( GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha );
void PACK_APIENTRY crPackColor4fv( const GLfloat * v );
void PACK_APIENTRY crPackColor4fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackColor4i( GLint red, GLint green, GLint blue, GLint alpha );
void PACK_APIENTRY crPackColor4iSWAP( GLint red, GLint green, GLint blue, GLint alpha );
void PACK_APIENTRY crPackColor4iv( const GLint * v );
void PACK_APIENTRY crPackColor4ivSWAP( const GLint * v );
void PACK_APIENTRY crPackColor4s( GLshort red, GLshort green, GLshort blue, GLshort alpha );
void PACK_APIENTRY crPackColor4sSWAP( GLshort red, GLshort green, GLshort blue, GLshort alpha );
void PACK_APIENTRY crPackColor4sv( const GLshort * v );
void PACK_APIENTRY crPackColor4svSWAP( const GLshort * v );
void PACK_APIENTRY crPackColor4ub( GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha );
void PACK_APIENTRY crPackColor4ubSWAP( GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha );
void PACK_APIENTRY crPackColor4ubv( const GLubyte * v );
void PACK_APIENTRY crPackColor4ubvSWAP( const GLubyte * v );
void PACK_APIENTRY crPackColor4ui( GLuint red, GLuint green, GLuint blue, GLuint alpha );
void PACK_APIENTRY crPackColor4uiSWAP( GLuint red, GLuint green, GLuint blue, GLuint alpha );
void PACK_APIENTRY crPackColor4uiv( const GLuint * v );
void PACK_APIENTRY crPackColor4uivSWAP( const GLuint * v );
void PACK_APIENTRY crPackColor4us( GLushort red, GLushort green, GLushort blue, GLushort alpha );
void PACK_APIENTRY crPackColor4usSWAP( GLushort red, GLushort green, GLushort blue, GLushort alpha );
void PACK_APIENTRY crPackColor4usv( const GLushort * v );
void PACK_APIENTRY crPackColor4usvSWAP( const GLushort * v );
void PACK_APIENTRY crPackColorMask( GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha );
void PACK_APIENTRY crPackColorMaskSWAP( GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha );
void PACK_APIENTRY crPackColorMaterial( GLenum face, GLenum mode );
void PACK_APIENTRY crPackColorMaterialSWAP( GLenum face, GLenum mode );
void PACK_APIENTRY crPackColorPointer( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackColorPointerSWAP( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackCombinerInputNV( GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage );
void PACK_APIENTRY crPackCombinerInputNVSWAP( GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage );
void PACK_APIENTRY crPackCombinerOutputNV( GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum );
void PACK_APIENTRY crPackCombinerOutputNVSWAP( GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum );
void PACK_APIENTRY crPackCombinerParameterfNV( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackCombinerParameterfNVSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackCombinerParameterfvNV( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackCombinerParameterfvNVSWAP( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackCombinerParameteriNV( GLenum pname, GLint param );
void PACK_APIENTRY crPackCombinerParameteriNVSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackCombinerParameterivNV( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackCombinerParameterivNVSWAP( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackCombinerStageParameterfvNV( GLenum stage, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackCombinerStageParameterfvNVSWAP( GLenum stage, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackCompileShader( GLuint shader );
void PACK_APIENTRY crPackCompileShaderSWAP( GLuint shader );
void PACK_APIENTRY crPackCompressedTexImage1DARB( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexImage1DARBSWAP( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexImage2DARB( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexImage2DARBSWAP( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexImage3DARB( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexImage3DARBSWAP( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage1DARB( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage1DARBSWAP( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage2DARB( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage2DARBSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage3DARB( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCompressedTexSubImage3DARBSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imagesize, const GLvoid * data );
void PACK_APIENTRY crPackCopyPixels( GLint x, GLint y, GLsizei width, GLsizei height, GLenum type );
void PACK_APIENTRY crPackCopyPixelsSWAP( GLint x, GLint y, GLsizei width, GLsizei height, GLenum type );
void PACK_APIENTRY crPackCopyTexImage1D( GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLint border );
void PACK_APIENTRY crPackCopyTexImage1DSWAP( GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLint border );
void PACK_APIENTRY crPackCopyTexImage2D( GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border );
void PACK_APIENTRY crPackCopyTexImage2DSWAP( GLenum target, GLint level, GLenum internalFormat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border );
void PACK_APIENTRY crPackCopyTexSubImage1D( GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width );
void PACK_APIENTRY crPackCopyTexSubImage1DSWAP( GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width );
void PACK_APIENTRY crPackCopyTexSubImage2D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackCopyTexSubImage2DSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackCopyTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackCopyTexSubImage3DSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackCreateContext( const char * dpyName, GLint visual, GLint shareCtx, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackCreateContextSWAP( const char * dpyName, GLint visual, GLint shareCtx, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackCreateProgram( GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackCreateProgramSWAP( GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackCreateShader( GLenum type, GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackCreateShaderSWAP( GLenum type, GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackCullFace( GLenum mode );
void PACK_APIENTRY crPackCullFaceSWAP( GLenum mode );
void PACK_APIENTRY crPackDeleteBuffersARB( GLsizei n, const GLuint * buffer );
void PACK_APIENTRY crPackDeleteBuffersARBSWAP( GLsizei n, const GLuint * buffer );
void PACK_APIENTRY crPackDeleteFencesNV( GLsizei n, const GLuint * fences );
void PACK_APIENTRY crPackDeleteFencesNVSWAP( GLsizei n, const GLuint * fences );
void PACK_APIENTRY crPackDeleteFramebuffersEXT( GLsizei n, const GLuint * framebuffers );
void PACK_APIENTRY crPackDeleteFramebuffersEXTSWAP( GLsizei n, const GLuint * framebuffers );
void PACK_APIENTRY crPackDeleteLists( GLuint list, GLsizei range );
void PACK_APIENTRY crPackDeleteListsSWAP( GLuint list, GLsizei range );
void PACK_APIENTRY crPackDeleteObjectARB( GLhandleARB obj );
void PACK_APIENTRY crPackDeleteObjectARBSWAP( GLhandleARB obj );
void PACK_APIENTRY crPackDeleteProgram( GLuint program );
void PACK_APIENTRY crPackDeleteProgramSWAP( GLuint program );
void PACK_APIENTRY crPackDeleteProgramsARB( GLsizei n, const GLuint * programs );
void PACK_APIENTRY crPackDeleteProgramsARBSWAP( GLsizei n, const GLuint * programs );
void PACK_APIENTRY crPackDeleteQueriesARB( GLsizei n, const GLuint * ids );
void PACK_APIENTRY crPackDeleteQueriesARBSWAP( GLsizei n, const GLuint * ids );
void PACK_APIENTRY crPackDeleteRenderbuffersEXT( GLsizei n, const GLuint * renderbuffers );
void PACK_APIENTRY crPackDeleteRenderbuffersEXTSWAP( GLsizei n, const GLuint * renderbuffers );
void PACK_APIENTRY crPackDeleteShader( GLuint shader );
void PACK_APIENTRY crPackDeleteShaderSWAP( GLuint shader );
void PACK_APIENTRY crPackDeleteTextures( GLsizei n, const GLuint * textures );
void PACK_APIENTRY crPackDeleteTexturesSWAP( GLsizei n, const GLuint * textures );
void PACK_APIENTRY crPackDepthFunc( GLenum func );
void PACK_APIENTRY crPackDepthFuncSWAP( GLenum func );
void PACK_APIENTRY crPackDepthMask( GLboolean flag );
void PACK_APIENTRY crPackDepthMaskSWAP( GLboolean flag );
void PACK_APIENTRY crPackDepthRange( GLclampd zNear, GLclampd zFar );
void PACK_APIENTRY crPackDepthRangeSWAP( GLclampd zNear, GLclampd zFar );
void PACK_APIENTRY crPackDestroyContext( GLint ctx );
void PACK_APIENTRY crPackDestroyContextSWAP( GLint ctx );
void PACK_APIENTRY crPackDetachShader( GLuint program, GLuint shader );
void PACK_APIENTRY crPackDetachShaderSWAP( GLuint program, GLuint shader );
void PACK_APIENTRY crPackDisable( GLenum cap );
void PACK_APIENTRY crPackDisableSWAP( GLenum cap );
void PACK_APIENTRY crPackDisableClientState( GLenum array );
void PACK_APIENTRY crPackDisableClientStateSWAP( GLenum array );
void PACK_APIENTRY crPackDisableVertexAttribArrayARB( GLuint index );
void PACK_APIENTRY crPackDisableVertexAttribArrayARBSWAP( GLuint index );
void PACK_APIENTRY crPackDrawArrays( GLenum mode, GLint first, GLsizei count );
void PACK_APIENTRY crPackDrawArraysSWAP( GLenum mode, GLint first, GLsizei count );
void PACK_APIENTRY crPackDrawBuffer( GLenum mode );
void PACK_APIENTRY crPackDrawBufferSWAP( GLenum mode );
void PACK_APIENTRY crPackDrawBuffers( GLsizei n, const GLenum* bufs );
void PACK_APIENTRY crPackDrawBuffersSWAP( GLsizei n, const GLenum* bufs );
void PACK_APIENTRY crPackDrawElements( GLenum mode, GLsizei count, GLenum type, const GLvoid * indices );
void PACK_APIENTRY crPackDrawElementsSWAP( GLenum mode, GLsizei count, GLenum type, const GLvoid * indices );
void PACK_APIENTRY crPackDrawPixels( GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackDrawPixelsSWAP( GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackDrawRangeElements( GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices );
void PACK_APIENTRY crPackDrawRangeElementsSWAP( GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices );
void PACK_APIENTRY crPackEdgeFlag( GLboolean flag );
void PACK_APIENTRY crPackEdgeFlagSWAP( GLboolean flag );
void PACK_APIENTRY crPackEdgeFlagPointer( GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackEdgeFlagPointerSWAP( GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackEdgeFlagv( const GLboolean * flag );
void PACK_APIENTRY crPackEdgeFlagvSWAP( const GLboolean * flag );
void PACK_APIENTRY crPackEnable( GLenum cap );
void PACK_APIENTRY crPackEnableSWAP( GLenum cap );
void PACK_APIENTRY crPackEnableClientState( GLenum array );
void PACK_APIENTRY crPackEnableClientStateSWAP( GLenum array );
void PACK_APIENTRY crPackEnableVertexAttribArrayARB( GLuint index );
void PACK_APIENTRY crPackEnableVertexAttribArrayARBSWAP( GLuint index );
void PACK_APIENTRY crPackEnd( void );
void PACK_APIENTRY crPackEndSWAP( void );
void PACK_APIENTRY crPackEndList( void );
void PACK_APIENTRY crPackEndListSWAP( void );
void PACK_APIENTRY crPackEndQueryARB( GLenum target );
void PACK_APIENTRY crPackEndQueryARBSWAP( GLenum target );
void PACK_APIENTRY crPackEvalCoord1d( GLdouble u );
void PACK_APIENTRY crPackEvalCoord1dSWAP( GLdouble u );
void PACK_APIENTRY crPackEvalCoord1dv( const GLdouble * u );
void PACK_APIENTRY crPackEvalCoord1dvSWAP( const GLdouble * u );
void PACK_APIENTRY crPackEvalCoord1f( GLfloat u );
void PACK_APIENTRY crPackEvalCoord1fSWAP( GLfloat u );
void PACK_APIENTRY crPackEvalCoord1fv( const GLfloat * u );
void PACK_APIENTRY crPackEvalCoord1fvSWAP( const GLfloat * u );
void PACK_APIENTRY crPackEvalCoord2d( GLdouble u, GLdouble v );
void PACK_APIENTRY crPackEvalCoord2dSWAP( GLdouble u, GLdouble v );
void PACK_APIENTRY crPackEvalCoord2dv( const GLdouble * u );
void PACK_APIENTRY crPackEvalCoord2dvSWAP( const GLdouble * u );
void PACK_APIENTRY crPackEvalCoord2f( GLfloat u, GLfloat v );
void PACK_APIENTRY crPackEvalCoord2fSWAP( GLfloat u, GLfloat v );
void PACK_APIENTRY crPackEvalCoord2fv( const GLfloat * u );
void PACK_APIENTRY crPackEvalCoord2fvSWAP( const GLfloat * u );
void PACK_APIENTRY crPackEvalMesh1( GLenum mode, GLint i1, GLint i2 );
void PACK_APIENTRY crPackEvalMesh1SWAP( GLenum mode, GLint i1, GLint i2 );
void PACK_APIENTRY crPackEvalMesh2( GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2 );
void PACK_APIENTRY crPackEvalMesh2SWAP( GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2 );
void PACK_APIENTRY crPackEvalPoint1( GLint i );
void PACK_APIENTRY crPackEvalPoint1SWAP( GLint i );
void PACK_APIENTRY crPackEvalPoint2( GLint i, GLint j );
void PACK_APIENTRY crPackEvalPoint2SWAP( GLint i, GLint j );
void PACK_APIENTRY crPackExecuteProgramNV( GLenum target, GLuint id, const GLfloat * params );
void PACK_APIENTRY crPackExecuteProgramNVSWAP( GLenum target, GLuint id, const GLfloat * params );
void PACK_APIENTRY crPackFeedbackBuffer( GLsizei size, GLenum type, GLfloat * buffer );
void PACK_APIENTRY crPackFeedbackBufferSWAP( GLsizei size, GLenum type, GLfloat * buffer );
void PACK_APIENTRY crPackFinalCombinerInputNV( GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage );
void PACK_APIENTRY crPackFinalCombinerInputNVSWAP( GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage );
void PACK_APIENTRY crPackFinish( void );
void PACK_APIENTRY crPackFinishSWAP( void );
void PACK_APIENTRY crPackFinishFenceNV( GLuint fence );
void PACK_APIENTRY crPackFinishFenceNVSWAP( GLuint fence );
void PACK_APIENTRY crPackFlush( void );
void PACK_APIENTRY crPackFlushSWAP( void );
void PACK_APIENTRY crPackFlushVertexArrayRangeNV( void );
void PACK_APIENTRY crPackFlushVertexArrayRangeNVSWAP( void );
void PACK_APIENTRY crPackFogCoordPointerEXT( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackFogCoordPointerEXTSWAP( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackFogCoorddEXT( GLdouble coord );
void PACK_APIENTRY crPackFogCoorddEXTSWAP( GLdouble coord );
void PACK_APIENTRY crPackFogCoorddvEXT( const GLdouble * coord );
void PACK_APIENTRY crPackFogCoorddvEXTSWAP( const GLdouble * coord );
void PACK_APIENTRY crPackFogCoordfEXT( GLfloat coord );
void PACK_APIENTRY crPackFogCoordfEXTSWAP( GLfloat coord );
void PACK_APIENTRY crPackFogCoordfvEXT( const GLfloat * coord );
void PACK_APIENTRY crPackFogCoordfvEXTSWAP( const GLfloat * coord );
void PACK_APIENTRY crPackFogf( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackFogfSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackFogfv( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackFogfvSWAP( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackFogi( GLenum pname, GLint param );
void PACK_APIENTRY crPackFogiSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackFogiv( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackFogivSWAP( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackFramebufferRenderbufferEXT( GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer );
void PACK_APIENTRY crPackFramebufferRenderbufferEXTSWAP( GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer );
void PACK_APIENTRY crPackFramebufferTexture1DEXT( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level );
void PACK_APIENTRY crPackFramebufferTexture1DEXTSWAP( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level );
void PACK_APIENTRY crPackFramebufferTexture2DEXT( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level );
void PACK_APIENTRY crPackFramebufferTexture2DEXTSWAP( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level );
void PACK_APIENTRY crPackFramebufferTexture3DEXT( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset );
void PACK_APIENTRY crPackFramebufferTexture3DEXTSWAP( GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset );
void PACK_APIENTRY crPackFrontFace( GLenum mode );
void PACK_APIENTRY crPackFrontFaceSWAP( GLenum mode );
void PACK_APIENTRY crPackFrustum( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar );
void PACK_APIENTRY crPackFrustumSWAP( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar );
void PACK_APIENTRY crPackGenBuffersARB( GLsizei n, GLuint * buffer, int * writeback );
void PACK_APIENTRY crPackGenBuffersARBSWAP( GLsizei n, GLuint * buffer, int * writeback );
void PACK_APIENTRY crPackGenFencesNV( GLsizei n, GLuint * fences, int * writeback );
void PACK_APIENTRY crPackGenFencesNVSWAP( GLsizei n, GLuint * fences, int * writeback );
void PACK_APIENTRY crPackGenFramebuffersEXT( GLsizei n, GLuint * framebuffers, int * writeback );
void PACK_APIENTRY crPackGenFramebuffersEXTSWAP( GLsizei n, GLuint * framebuffers, int * writeback );
void PACK_APIENTRY crPackGenLists( GLsizei range, GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackGenListsSWAP( GLsizei range, GLuint* return_value, int * writeback );
void PACK_APIENTRY crPackGenProgramsARB( GLsizei n, GLuint * programs, int * writeback );
void PACK_APIENTRY crPackGenProgramsARBSWAP( GLsizei n, GLuint * programs, int * writeback );
void PACK_APIENTRY crPackGenProgramsNV( GLsizei n, GLuint * ids, int * writeback );
void PACK_APIENTRY crPackGenProgramsNVSWAP( GLsizei n, GLuint * ids, int * writeback );
void PACK_APIENTRY crPackGenQueriesARB( GLsizei n, GLuint * ids, int * writeback );
void PACK_APIENTRY crPackGenQueriesARBSWAP( GLsizei n, GLuint * ids, int * writeback );
void PACK_APIENTRY crPackGenRenderbuffersEXT( GLsizei n, GLuint * renderbuffers, int * writeback );
void PACK_APIENTRY crPackGenRenderbuffersEXTSWAP( GLsizei n, GLuint * renderbuffers, int * writeback );
void PACK_APIENTRY crPackGenTextures( GLsizei n, GLuint * textures, int * writeback );
void PACK_APIENTRY crPackGenTexturesSWAP( GLsizei n, GLuint * textures, int * writeback );
void PACK_APIENTRY crPackGenerateMipmapEXT( GLenum target );
void PACK_APIENTRY crPackGenerateMipmapEXTSWAP( GLenum target );
void PACK_APIENTRY crPackGetActiveAttrib( GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, char * name, int * writeback );
void PACK_APIENTRY crPackGetActiveAttribSWAP( GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, char * name, int * writeback );
void PACK_APIENTRY crPackGetActiveUniform( GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, char * name, int * writeback );
void PACK_APIENTRY crPackGetActiveUniformSWAP( GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLint * size, GLenum * type, char * name, int * writeback );
void PACK_APIENTRY crPackGetAttachedObjectsARB( GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj, int * writeback );
void PACK_APIENTRY crPackGetAttachedObjectsARBSWAP( GLhandleARB containerObj, GLsizei maxCount, GLsizei * count, GLhandleARB * obj, int * writeback );
void PACK_APIENTRY crPackGetAttachedShaders( GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders, int * writeback );
void PACK_APIENTRY crPackGetAttachedShadersSWAP( GLuint program, GLsizei maxCount, GLsizei * count, GLuint * shaders, int * writeback );
void PACK_APIENTRY crPackGetAttribLocation( GLuint program, const char * name, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackGetAttribLocationSWAP( GLuint program, const char * name, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackGetBooleanv( GLenum pname, GLboolean * params, int * writeback );
void PACK_APIENTRY crPackGetBooleanvSWAP( GLenum pname, GLboolean * params, int * writeback );
void PACK_APIENTRY crPackGetBufferParameterivARB( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetBufferParameterivARBSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetBufferSubDataARB( GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data, int * writeback );
void PACK_APIENTRY crPackGetBufferSubDataARBSWAP( GLenum target, GLintptrARB offset, GLsizeiptrARB size, void * data, int * writeback );
void PACK_APIENTRY crPackGetChromiumParametervCR( GLenum target, GLuint index, GLenum type, GLsizei count, GLvoid * values, int * writeback );
void PACK_APIENTRY crPackGetChromiumParametervCRSWAP( GLenum target, GLuint index, GLenum type, GLsizei count, GLvoid * values, int * writeback );
void PACK_APIENTRY crPackGetClipPlane( GLenum plane, GLdouble * equation, int * writeback );
void PACK_APIENTRY crPackGetClipPlaneSWAP( GLenum plane, GLdouble * equation, int * writeback );
void PACK_APIENTRY crPackGetCombinerInputParameterfvNV( GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerInputParameterfvNVSWAP( GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerInputParameterivNV( GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerInputParameterivNVSWAP( GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerOutputParameterfvNV( GLenum stage, GLenum portion, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerOutputParameterfvNVSWAP( GLenum stage, GLenum portion, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerOutputParameterivNV( GLenum stage, GLenum portion, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerOutputParameterivNVSWAP( GLenum stage, GLenum portion, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerStageParameterfvNV( GLenum stage, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCombinerStageParameterfvNVSWAP( GLenum stage, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetCompressedTexImageARB( GLenum target, GLint level, GLvoid * img, int * writeback );
void PACK_APIENTRY crPackGetCompressedTexImageARBSWAP( GLenum target, GLint level, GLvoid * img, int * writeback );
void PACK_APIENTRY crPackGetDoublev( GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetDoublevSWAP( GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetError( GLenum* return_value, int * writeback );
void PACK_APIENTRY crPackGetErrorSWAP( GLenum* return_value, int * writeback );
void PACK_APIENTRY crPackGetFenceivNV( GLuint fence, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetFenceivNVSWAP( GLuint fence, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetFinalCombinerInputParameterfvNV( GLenum variable, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetFinalCombinerInputParameterfvNVSWAP( GLenum variable, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetFinalCombinerInputParameterivNV( GLenum variable, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetFinalCombinerInputParameterivNVSWAP( GLenum variable, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetFloatv( GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetFloatvSWAP( GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetFramebufferAttachmentParameterivEXT( GLenum target, GLenum attachment, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetFramebufferAttachmentParameterivEXTSWAP( GLenum target, GLenum attachment, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetHandleARB( GLenum pname, GLhandleARB* return_value, int * writeback );
void PACK_APIENTRY crPackGetHandleARBSWAP( GLenum pname, GLhandleARB* return_value, int * writeback );
void PACK_APIENTRY crPackGetInfoLogARB( GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog, int * writeback );
void PACK_APIENTRY crPackGetInfoLogARBSWAP( GLhandleARB obj, GLsizei maxLength, GLsizei * length, GLcharARB * infoLog, int * writeback );
void PACK_APIENTRY crPackGetIntegerv( GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetIntegervSWAP( GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetLightfv( GLenum light, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetLightfvSWAP( GLenum light, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetLightiv( GLenum light, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetLightivSWAP( GLenum light, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetMapdv( GLenum target, GLenum query, GLdouble * v, int * writeback );
void PACK_APIENTRY crPackGetMapdvSWAP( GLenum target, GLenum query, GLdouble * v, int * writeback );
void PACK_APIENTRY crPackGetMapfv( GLenum target, GLenum query, GLfloat * v, int * writeback );
void PACK_APIENTRY crPackGetMapfvSWAP( GLenum target, GLenum query, GLfloat * v, int * writeback );
void PACK_APIENTRY crPackGetMapiv( GLenum target, GLenum query, GLint * v, int * writeback );
void PACK_APIENTRY crPackGetMapivSWAP( GLenum target, GLenum query, GLint * v, int * writeback );
void PACK_APIENTRY crPackGetMaterialfv( GLenum face, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetMaterialfvSWAP( GLenum face, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetMaterialiv( GLenum face, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetMaterialivSWAP( GLenum face, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetObjectParameterfvARB( GLhandleARB obj, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetObjectParameterfvARBSWAP( GLhandleARB obj, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetObjectParameterivARB( GLhandleARB obj, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetObjectParameterivARBSWAP( GLhandleARB obj, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetPixelMapfv( GLenum map, GLfloat * values, int * writeback );
void PACK_APIENTRY crPackGetPixelMapfvSWAP( GLenum map, GLfloat * values, int * writeback );
void PACK_APIENTRY crPackGetPixelMapuiv( GLenum map, GLuint * values, int * writeback );
void PACK_APIENTRY crPackGetPixelMapuivSWAP( GLenum map, GLuint * values, int * writeback );
void PACK_APIENTRY crPackGetPixelMapusv( GLenum map, GLushort * values, int * writeback );
void PACK_APIENTRY crPackGetPixelMapusvSWAP( GLenum map, GLushort * values, int * writeback );
void PACK_APIENTRY crPackGetPointerv( GLenum pname, GLvoid ** params, int * writeback );
void PACK_APIENTRY crPackGetPointervSWAP( GLenum pname, GLvoid ** params, int * writeback );
void PACK_APIENTRY crPackGetPolygonStipple( GLubyte * mask, int * writeback );
void PACK_APIENTRY crPackGetPolygonStippleSWAP( GLubyte * mask, int * writeback );
void PACK_APIENTRY crPackGetProgramEnvParameterdvARB( GLenum target, GLuint index, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramEnvParameterdvARBSWAP( GLenum target, GLuint index, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramEnvParameterfvARB( GLenum target, GLuint index, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramEnvParameterfvARBSWAP( GLenum target, GLuint index, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramInfoLog( GLuint program, GLsizei bufSize, GLsizei * length, char * infoLog, int * writeback );
void PACK_APIENTRY crPackGetProgramInfoLogSWAP( GLuint program, GLsizei bufSize, GLsizei * length, char * infoLog, int * writeback );
void PACK_APIENTRY crPackGetProgramLocalParameterdvARB( GLenum target, GLuint index, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramLocalParameterdvARBSWAP( GLenum target, GLuint index, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramLocalParameterfvARB( GLenum target, GLuint index, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramLocalParameterfvARBSWAP( GLenum target, GLuint index, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramNamedParameterdvNV( GLuint id, GLsizei len, const GLubyte * name, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramNamedParameterdvNVSWAP( GLuint id, GLsizei len, const GLubyte * name, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramNamedParameterfvNV( GLuint id, GLsizei len, const GLubyte * name, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramNamedParameterfvNVSWAP( GLuint id, GLsizei len, const GLubyte * name, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramParameterdvNV( GLenum target, GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramParameterdvNVSWAP( GLenum target, GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetProgramParameterfvNV( GLenum target, GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramParameterfvNVSWAP( GLenum target, GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetProgramStringARB( GLenum target, GLenum pname, GLvoid * string, int * writeback );
void PACK_APIENTRY crPackGetProgramStringARBSWAP( GLenum target, GLenum pname, GLvoid * string, int * writeback );
void PACK_APIENTRY crPackGetProgramStringNV( GLuint id, GLenum pname, GLubyte * program, int * writeback );
void PACK_APIENTRY crPackGetProgramStringNVSWAP( GLuint id, GLenum pname, GLubyte * program, int * writeback );
void PACK_APIENTRY crPackGetProgramiv( GLuint program, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetProgramivSWAP( GLuint program, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetProgramivARB( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetProgramivARBSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetProgramivNV( GLuint id, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetProgramivNVSWAP( GLuint id, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryObjectivARB( GLuint id, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryObjectivARBSWAP( GLuint id, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryObjectuivARB( GLuint id, GLenum pname, GLuint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryObjectuivARBSWAP( GLuint id, GLenum pname, GLuint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryivARB( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetQueryivARBSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetRenderbufferParameterivEXT( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetRenderbufferParameterivEXTSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetShaderInfoLog( GLuint shader, GLsizei bufSize, GLsizei * length, char * infoLog, int * writeback );
void PACK_APIENTRY crPackGetShaderInfoLogSWAP( GLuint shader, GLsizei bufSize, GLsizei * length, char * infoLog, int * writeback );
void PACK_APIENTRY crPackGetShaderSource( GLuint shader, GLsizei bufSize, GLsizei * length, char * source, int * writeback );
void PACK_APIENTRY crPackGetShaderSourceSWAP( GLuint shader, GLsizei bufSize, GLsizei * length, char * source, int * writeback );
void PACK_APIENTRY crPackGetShaderiv( GLuint shader, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetShaderivSWAP( GLuint shader, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetString( GLenum name, const GLubyte * return_value, int * writeback );
void PACK_APIENTRY crPackGetStringSWAP( GLenum name, const GLubyte * return_value, int * writeback );
void PACK_APIENTRY crPackGetTexEnvfv( GLenum target, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexEnvfvSWAP( GLenum target, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexEnviv( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexEnvivSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexGendv( GLenum coord, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetTexGendvSWAP( GLenum coord, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetTexGenfv( GLenum coord, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexGenfvSWAP( GLenum coord, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexGeniv( GLenum coord, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexGenivSWAP( GLenum coord, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexImage( GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels, const CRPixelPackState * packstate, int * writeback );
void PACK_APIENTRY crPackGetTexImageSWAP( GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels, const CRPixelPackState * packstate, int * writeback );
void PACK_APIENTRY crPackGetTexLevelParameterfv( GLenum target, GLint level, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexLevelParameterfvSWAP( GLenum target, GLint level, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexLevelParameteriv( GLenum target, GLint level, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexLevelParameterivSWAP( GLenum target, GLint level, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexParameterfv( GLenum target, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexParameterfvSWAP( GLenum target, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetTexParameteriv( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTexParameterivSWAP( GLenum target, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTrackMatrixivNV( GLenum target, GLuint address, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetTrackMatrixivNVSWAP( GLenum target, GLuint address, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetUniformLocation( GLuint program, const char * name, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackGetUniformLocationSWAP( GLuint program, const char * name, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackGetUniformfv( GLuint program, GLint location, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetUniformfvSWAP( GLuint program, GLint location, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetUniformiv( GLuint program, GLint location, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetUniformivSWAP( GLuint program, GLint location, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetUniformsLocations( GLuint program, GLsizei maxcbData, GLsizei * cbData, GLvoid * pData, int * writeback );
void PACK_APIENTRY crPackGetUniformsLocationsSWAP( GLuint program, GLsizei maxcbData, GLsizei * cbData, GLvoid * pData, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribPointervARB( GLuint index, GLenum pname, GLvoid ** pointer, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribPointervARBSWAP( GLuint index, GLenum pname, GLvoid ** pointer, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribPointervNV( GLuint index, GLenum pname, GLvoid ** pointer, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribPointervNVSWAP( GLuint index, GLenum pname, GLvoid ** pointer, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribdvARB( GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribdvARBSWAP( GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribdvNV( GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribdvNVSWAP( GLuint index, GLenum pname, GLdouble * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribfvARB( GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribfvARBSWAP( GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribfvNV( GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribfvNVSWAP( GLuint index, GLenum pname, GLfloat * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribivARB( GLuint index, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribivARBSWAP( GLuint index, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribivNV( GLuint index, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackGetVertexAttribivNVSWAP( GLuint index, GLenum pname, GLint * params, int * writeback );
void PACK_APIENTRY crPackHint( GLenum target, GLenum mode );
void PACK_APIENTRY crPackHintSWAP( GLenum target, GLenum mode );
void PACK_APIENTRY crPackIndexMask( GLuint mask );
void PACK_APIENTRY crPackIndexMaskSWAP( GLuint mask );
void PACK_APIENTRY crPackIndexPointer( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackIndexPointerSWAP( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackIndexd( GLdouble c );
void PACK_APIENTRY crPackIndexdSWAP( GLdouble c );
void PACK_APIENTRY crPackIndexdv( const GLdouble * c );
void PACK_APIENTRY crPackIndexdvSWAP( const GLdouble * c );
void PACK_APIENTRY crPackIndexf( GLfloat c );
void PACK_APIENTRY crPackIndexfSWAP( GLfloat c );
void PACK_APIENTRY crPackIndexfv( const GLfloat * c );
void PACK_APIENTRY crPackIndexfvSWAP( const GLfloat * c );
void PACK_APIENTRY crPackIndexi( GLint c );
void PACK_APIENTRY crPackIndexiSWAP( GLint c );
void PACK_APIENTRY crPackIndexiv( const GLint * c );
void PACK_APIENTRY crPackIndexivSWAP( const GLint * c );
void PACK_APIENTRY crPackIndexs( GLshort c );
void PACK_APIENTRY crPackIndexsSWAP( GLshort c );
void PACK_APIENTRY crPackIndexsv( const GLshort * c );
void PACK_APIENTRY crPackIndexsvSWAP( const GLshort * c );
void PACK_APIENTRY crPackIndexub( GLubyte c );
void PACK_APIENTRY crPackIndexubSWAP( GLubyte c );
void PACK_APIENTRY crPackIndexubv( const GLubyte * c );
void PACK_APIENTRY crPackIndexubvSWAP( const GLubyte * c );
void PACK_APIENTRY crPackInitNames( void );
void PACK_APIENTRY crPackInitNamesSWAP( void );
void PACK_APIENTRY crPackInterleavedArrays( GLenum format, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackInterleavedArraysSWAP( GLenum format, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackIsBufferARB( GLuint buffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsBufferARBSWAP( GLuint buffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsEnabled( GLenum cap, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsEnabledSWAP( GLenum cap, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsFenceNV( GLuint fence, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsFenceNVSWAP( GLuint fence, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsFramebufferEXT( GLuint framebuffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsFramebufferEXTSWAP( GLuint framebuffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsList( GLuint list, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsListSWAP( GLuint list, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsProgram( GLuint program, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsProgramSWAP( GLuint program, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsProgramARB( GLuint program, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsProgramARBSWAP( GLuint program, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsQueryARB( GLuint id, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsQueryARBSWAP( GLuint id, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsRenderbufferEXT( GLuint renderbuffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsRenderbufferEXTSWAP( GLuint renderbuffer, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsShader( GLuint shader, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsShaderSWAP( GLuint shader, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsTexture( GLuint texture, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackIsTextureSWAP( GLuint texture, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackLightModelf( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackLightModelfSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackLightModelfv( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackLightModelfvSWAP( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackLightModeli( GLenum pname, GLint param );
void PACK_APIENTRY crPackLightModeliSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackLightModeliv( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackLightModelivSWAP( GLenum pname, const GLint * params );
void PACK_APIENTRY crPackLightf( GLenum light, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackLightfSWAP( GLenum light, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackLightfv( GLenum light, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackLightfvSWAP( GLenum light, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackLighti( GLenum light, GLenum pname, GLint param );
void PACK_APIENTRY crPackLightiSWAP( GLenum light, GLenum pname, GLint param );
void PACK_APIENTRY crPackLightiv( GLenum light, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackLightivSWAP( GLenum light, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackLineStipple( GLint factor, GLushort pattern );
void PACK_APIENTRY crPackLineStippleSWAP( GLint factor, GLushort pattern );
void PACK_APIENTRY crPackLineWidth( GLfloat width );
void PACK_APIENTRY crPackLineWidthSWAP( GLfloat width );
void PACK_APIENTRY crPackLinkProgram( GLuint program );
void PACK_APIENTRY crPackLinkProgramSWAP( GLuint program );
void PACK_APIENTRY crPackListBase( GLuint base );
void PACK_APIENTRY crPackListBaseSWAP( GLuint base );
void PACK_APIENTRY crPackLoadIdentity( void );
void PACK_APIENTRY crPackLoadIdentitySWAP( void );
void PACK_APIENTRY crPackLoadMatrixd( const GLdouble * m );
void PACK_APIENTRY crPackLoadMatrixdSWAP( const GLdouble * m );
void PACK_APIENTRY crPackLoadMatrixf( const GLfloat * m );
void PACK_APIENTRY crPackLoadMatrixfSWAP( const GLfloat * m );
void PACK_APIENTRY crPackLoadName( GLuint name );
void PACK_APIENTRY crPackLoadNameSWAP( GLuint name );
void PACK_APIENTRY crPackLoadProgramNV( GLenum target, GLuint id, GLsizei len, const GLubyte * program );
void PACK_APIENTRY crPackLoadProgramNVSWAP( GLenum target, GLuint id, GLsizei len, const GLubyte * program );
void PACK_APIENTRY crPackLoadTransposeMatrixdARB( const GLdouble * m );
void PACK_APIENTRY crPackLoadTransposeMatrixdARBSWAP( const GLdouble * m );
void PACK_APIENTRY crPackLoadTransposeMatrixfARB( const GLfloat * m );
void PACK_APIENTRY crPackLoadTransposeMatrixfARBSWAP( const GLfloat * m );
void PACK_APIENTRY crPackLockArraysEXT( GLint first, GLint count );
void PACK_APIENTRY crPackLockArraysEXTSWAP( GLint first, GLint count );
void PACK_APIENTRY crPackLogicOp( GLenum opcode );
void PACK_APIENTRY crPackLogicOpSWAP( GLenum opcode );
void PACK_APIENTRY crPackMakeCurrent( GLint window, GLint nativeWindow, GLint ctx );
void PACK_APIENTRY crPackMakeCurrentSWAP( GLint window, GLint nativeWindow, GLint ctx );
void PACK_APIENTRY crPackMap1d( GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points );
void PACK_APIENTRY crPackMap1dSWAP( GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble * points );
void PACK_APIENTRY crPackMap1f( GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points );
void PACK_APIENTRY crPackMap1fSWAP( GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat * points );
void PACK_APIENTRY crPackMap2d( GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points );
void PACK_APIENTRY crPackMap2dSWAP( GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble * points );
void PACK_APIENTRY crPackMap2f( GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points );
void PACK_APIENTRY crPackMap2fSWAP( GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat * points );
void PACK_APIENTRY crPackMapBufferARB( GLenum target, GLenum access, void * return_value, int * writeback );
void PACK_APIENTRY crPackMapBufferARBSWAP( GLenum target, GLenum access, void * return_value, int * writeback );
void PACK_APIENTRY crPackMapGrid1d( GLint un, GLdouble u1, GLdouble u2 );
void PACK_APIENTRY crPackMapGrid1dSWAP( GLint un, GLdouble u1, GLdouble u2 );
void PACK_APIENTRY crPackMapGrid1f( GLint un, GLfloat u1, GLfloat u2 );
void PACK_APIENTRY crPackMapGrid1fSWAP( GLint un, GLfloat u1, GLfloat u2 );
void PACK_APIENTRY crPackMapGrid2d( GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2 );
void PACK_APIENTRY crPackMapGrid2dSWAP( GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2 );
void PACK_APIENTRY crPackMapGrid2f( GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2 );
void PACK_APIENTRY crPackMapGrid2fSWAP( GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2 );
void PACK_APIENTRY crPackMaterialf( GLenum face, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackMaterialfSWAP( GLenum face, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackMaterialfv( GLenum face, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackMaterialfvSWAP( GLenum face, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackMateriali( GLenum face, GLenum pname, GLint param );
void PACK_APIENTRY crPackMaterialiSWAP( GLenum face, GLenum pname, GLint param );
void PACK_APIENTRY crPackMaterialiv( GLenum face, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackMaterialivSWAP( GLenum face, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackMatrixMode( GLenum mode );
void PACK_APIENTRY crPackMatrixModeSWAP( GLenum mode );
void PACK_APIENTRY crPackMultMatrixd( const GLdouble * m );
void PACK_APIENTRY crPackMultMatrixdSWAP( const GLdouble * m );
void PACK_APIENTRY crPackMultMatrixf( const GLfloat * m );
void PACK_APIENTRY crPackMultMatrixfSWAP( const GLfloat * m );
void PACK_APIENTRY crPackMultTransposeMatrixdARB( const GLdouble * m );
void PACK_APIENTRY crPackMultTransposeMatrixdARBSWAP( const GLdouble * m );
void PACK_APIENTRY crPackMultTransposeMatrixfARB( const GLfloat * m );
void PACK_APIENTRY crPackMultTransposeMatrixfARBSWAP( const GLfloat * m );
void PACK_APIENTRY crPackMultiDrawArraysEXT( GLenum mode, GLint * first, GLsizei * count, GLsizei primcount );
void PACK_APIENTRY crPackMultiDrawArraysEXTSWAP( GLenum mode, GLint * first, GLsizei * count, GLsizei primcount );
void PACK_APIENTRY crPackMultiDrawElementsEXT( GLenum mode, const GLsizei * count, GLenum type, const GLvoid ** indices, GLsizei primcount );
void PACK_APIENTRY crPackMultiDrawElementsEXTSWAP( GLenum mode, const GLsizei * count, GLenum type, const GLvoid ** indices, GLsizei primcount );
void PACK_APIENTRY crPackMultiTexCoord1dARB( GLenum texture, GLdouble s );
void PACK_APIENTRY crPackMultiTexCoord1dARBSWAP( GLenum texture, GLdouble s );
void PACK_APIENTRY crPackMultiTexCoord1dvARB( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord1dvARBSWAP( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord1fARB( GLenum texture, GLfloat s );
void PACK_APIENTRY crPackMultiTexCoord1fARBSWAP( GLenum texture, GLfloat s );
void PACK_APIENTRY crPackMultiTexCoord1fvARB( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord1fvARBSWAP( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord1iARB( GLenum texture, GLint s );
void PACK_APIENTRY crPackMultiTexCoord1iARBSWAP( GLenum texture, GLint s );
void PACK_APIENTRY crPackMultiTexCoord1ivARB( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord1ivARBSWAP( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord1sARB( GLenum texture, GLshort s );
void PACK_APIENTRY crPackMultiTexCoord1sARBSWAP( GLenum texture, GLshort s );
void PACK_APIENTRY crPackMultiTexCoord1svARB( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord1svARBSWAP( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord2dARB( GLenum texture, GLdouble s, GLdouble t );
void PACK_APIENTRY crPackMultiTexCoord2dARBSWAP( GLenum texture, GLdouble s, GLdouble t );
void PACK_APIENTRY crPackMultiTexCoord2dvARB( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord2dvARBSWAP( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord2fARB( GLenum texture, GLfloat s, GLfloat t );
void PACK_APIENTRY crPackMultiTexCoord2fARBSWAP( GLenum texture, GLfloat s, GLfloat t );
void PACK_APIENTRY crPackMultiTexCoord2fvARB( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord2fvARBSWAP( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord2iARB( GLenum texture, GLint s, GLint t );
void PACK_APIENTRY crPackMultiTexCoord2iARBSWAP( GLenum texture, GLint s, GLint t );
void PACK_APIENTRY crPackMultiTexCoord2ivARB( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord2ivARBSWAP( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord2sARB( GLenum texture, GLshort s, GLshort t );
void PACK_APIENTRY crPackMultiTexCoord2sARBSWAP( GLenum texture, GLshort s, GLshort t );
void PACK_APIENTRY crPackMultiTexCoord2svARB( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord2svARBSWAP( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord3dARB( GLenum texture, GLdouble s, GLdouble t, GLdouble r );
void PACK_APIENTRY crPackMultiTexCoord3dARBSWAP( GLenum texture, GLdouble s, GLdouble t, GLdouble r );
void PACK_APIENTRY crPackMultiTexCoord3dvARB( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord3dvARBSWAP( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord3fARB( GLenum texture, GLfloat s, GLfloat t, GLfloat r );
void PACK_APIENTRY crPackMultiTexCoord3fARBSWAP( GLenum texture, GLfloat s, GLfloat t, GLfloat r );
void PACK_APIENTRY crPackMultiTexCoord3fvARB( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord3fvARBSWAP( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord3iARB( GLenum texture, GLint s, GLint t, GLint r );
void PACK_APIENTRY crPackMultiTexCoord3iARBSWAP( GLenum texture, GLint s, GLint t, GLint r );
void PACK_APIENTRY crPackMultiTexCoord3ivARB( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord3ivARBSWAP( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord3sARB( GLenum texture, GLshort s, GLshort t, GLshort r );
void PACK_APIENTRY crPackMultiTexCoord3sARBSWAP( GLenum texture, GLshort s, GLshort t, GLshort r );
void PACK_APIENTRY crPackMultiTexCoord3svARB( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord3svARBSWAP( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord4dARB( GLenum texture, GLdouble s, GLdouble t, GLdouble r, GLdouble q );
void PACK_APIENTRY crPackMultiTexCoord4dARBSWAP( GLenum texture, GLdouble s, GLdouble t, GLdouble r, GLdouble q );
void PACK_APIENTRY crPackMultiTexCoord4dvARB( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord4dvARBSWAP( GLenum texture, const GLdouble * t );
void PACK_APIENTRY crPackMultiTexCoord4fARB( GLenum texture, GLfloat s, GLfloat t, GLfloat r, GLfloat q );
void PACK_APIENTRY crPackMultiTexCoord4fARBSWAP( GLenum texture, GLfloat s, GLfloat t, GLfloat r, GLfloat q );
void PACK_APIENTRY crPackMultiTexCoord4fvARB( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord4fvARBSWAP( GLenum texture, const GLfloat * t );
void PACK_APIENTRY crPackMultiTexCoord4iARB( GLenum texture, GLint s, GLint t, GLint r, GLint q );
void PACK_APIENTRY crPackMultiTexCoord4iARBSWAP( GLenum texture, GLint s, GLint t, GLint r, GLint q );
void PACK_APIENTRY crPackMultiTexCoord4ivARB( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord4ivARBSWAP( GLenum texture, const GLint * t );
void PACK_APIENTRY crPackMultiTexCoord4sARB( GLenum texture, GLshort s, GLshort t, GLshort r, GLshort q );
void PACK_APIENTRY crPackMultiTexCoord4sARBSWAP( GLenum texture, GLshort s, GLshort t, GLshort r, GLshort q );
void PACK_APIENTRY crPackMultiTexCoord4svARB( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackMultiTexCoord4svARBSWAP( GLenum texture, const GLshort * t );
void PACK_APIENTRY crPackNewList( GLuint list, GLenum mode );
void PACK_APIENTRY crPackNewListSWAP( GLuint list, GLenum mode );
void PACK_APIENTRY crPackNormal3b( GLbyte nx, GLbyte ny, GLbyte nz );
void PACK_APIENTRY crPackNormal3bSWAP( GLbyte nx, GLbyte ny, GLbyte nz );
void PACK_APIENTRY crPackNormal3bv( const GLbyte * v );
void PACK_APIENTRY crPackNormal3bvSWAP( const GLbyte * v );
void PACK_APIENTRY crPackNormal3d( GLdouble nx, GLdouble ny, GLdouble nz );
void PACK_APIENTRY crPackNormal3dSWAP( GLdouble nx, GLdouble ny, GLdouble nz );
void PACK_APIENTRY crPackNormal3dv( const GLdouble * v );
void PACK_APIENTRY crPackNormal3dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackNormal3f( GLfloat nx, GLfloat ny, GLfloat nz );
void PACK_APIENTRY crPackNormal3fSWAP( GLfloat nx, GLfloat ny, GLfloat nz );
void PACK_APIENTRY crPackNormal3fv( const GLfloat * v );
void PACK_APIENTRY crPackNormal3fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackNormal3i( GLint nx, GLint ny, GLint nz );
void PACK_APIENTRY crPackNormal3iSWAP( GLint nx, GLint ny, GLint nz );
void PACK_APIENTRY crPackNormal3iv( const GLint * v );
void PACK_APIENTRY crPackNormal3ivSWAP( const GLint * v );
void PACK_APIENTRY crPackNormal3s( GLshort nx, GLshort ny, GLshort nz );
void PACK_APIENTRY crPackNormal3sSWAP( GLshort nx, GLshort ny, GLshort nz );
void PACK_APIENTRY crPackNormal3sv( const GLshort * v );
void PACK_APIENTRY crPackNormal3svSWAP( const GLshort * v );
void PACK_APIENTRY crPackNormalPointer( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackNormalPointerSWAP( GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackOrtho( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar );
void PACK_APIENTRY crPackOrthoSWAP( GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar );
void PACK_APIENTRY crPackPassThrough( GLfloat token );
void PACK_APIENTRY crPackPassThroughSWAP( GLfloat token );
void PACK_APIENTRY crPackPixelMapfv( GLenum map, GLsizei mapsize, const GLfloat * values );
void PACK_APIENTRY crPackPixelMapfvSWAP( GLenum map, GLsizei mapsize, const GLfloat * values );
void PACK_APIENTRY crPackPixelMapuiv( GLenum map, GLsizei mapsize, const GLuint * values );
void PACK_APIENTRY crPackPixelMapuivSWAP( GLenum map, GLsizei mapsize, const GLuint * values );
void PACK_APIENTRY crPackPixelMapusv( GLenum map, GLsizei mapsize, const GLushort * values );
void PACK_APIENTRY crPackPixelMapusvSWAP( GLenum map, GLsizei mapsize, const GLushort * values );
void PACK_APIENTRY crPackPixelStoref( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPixelStorefSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPixelStorei( GLenum pname, GLint param );
void PACK_APIENTRY crPackPixelStoreiSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackPixelTransferf( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPixelTransferfSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPixelTransferi( GLenum pname, GLint param );
void PACK_APIENTRY crPackPixelTransferiSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackPixelZoom( GLfloat xfactor, GLfloat yfactor );
void PACK_APIENTRY crPackPixelZoomSWAP( GLfloat xfactor, GLfloat yfactor );
void PACK_APIENTRY crPackPointParameterfARB( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPointParameterfARBSWAP( GLenum pname, GLfloat param );
void PACK_APIENTRY crPackPointParameterfvARB( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackPointParameterfvARBSWAP( GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackPointParameteri( GLenum pname, GLint param );
void PACK_APIENTRY crPackPointParameteriSWAP( GLenum pname, GLint param );
void PACK_APIENTRY crPackPointParameteriv( GLenum pname, const GLint * param );
void PACK_APIENTRY crPackPointParameterivSWAP( GLenum pname, const GLint * param );
void PACK_APIENTRY crPackPointSize( GLfloat size );
void PACK_APIENTRY crPackPointSizeSWAP( GLfloat size );
void PACK_APIENTRY crPackPolygonMode( GLenum face, GLenum mode );
void PACK_APIENTRY crPackPolygonModeSWAP( GLenum face, GLenum mode );
void PACK_APIENTRY crPackPolygonOffset( GLfloat factor, GLfloat units );
void PACK_APIENTRY crPackPolygonOffsetSWAP( GLfloat factor, GLfloat units );
void PACK_APIENTRY crPackPolygonStipple( const GLubyte * mask );
void PACK_APIENTRY crPackPolygonStippleSWAP( const GLubyte * mask );
void PACK_APIENTRY crPackPopAttrib( void );
void PACK_APIENTRY crPackPopAttribSWAP( void );
void PACK_APIENTRY crPackPopClientAttrib( void );
void PACK_APIENTRY crPackPopClientAttribSWAP( void );
void PACK_APIENTRY crPackPopMatrix( void );
void PACK_APIENTRY crPackPopMatrixSWAP( void );
void PACK_APIENTRY crPackPopName( void );
void PACK_APIENTRY crPackPopNameSWAP( void );
void PACK_APIENTRY crPackPrioritizeTextures( GLsizei n, const GLuint * textures, const GLclampf * priorities );
void PACK_APIENTRY crPackPrioritizeTexturesSWAP( GLsizei n, const GLuint * textures, const GLclampf * priorities );
void PACK_APIENTRY crPackProgramEnvParameter4dARB( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramEnvParameter4dARBSWAP( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramEnvParameter4dvARB( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramEnvParameter4dvARBSWAP( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramEnvParameter4fARB( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramEnvParameter4fARBSWAP( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramEnvParameter4fvARB( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramEnvParameter4fvARBSWAP( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramLocalParameter4dARB( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramLocalParameter4dARBSWAP( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramLocalParameter4dvARB( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramLocalParameter4dvARBSWAP( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramLocalParameter4fARB( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramLocalParameter4fARBSWAP( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramLocalParameter4fvARB( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramLocalParameter4fvARBSWAP( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramNamedParameter4dNV( GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramNamedParameter4dNVSWAP( GLuint id, GLsizei len, const GLubyte * name, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramNamedParameter4dvNV( GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v );
void PACK_APIENTRY crPackProgramNamedParameter4dvNVSWAP( GLuint id, GLsizei len, const GLubyte * name, const GLdouble * v );
void PACK_APIENTRY crPackProgramNamedParameter4fNV( GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramNamedParameter4fNVSWAP( GLuint id, GLsizei len, const GLubyte * name, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramNamedParameter4fvNV( GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v );
void PACK_APIENTRY crPackProgramNamedParameter4fvNVSWAP( GLuint id, GLsizei len, const GLubyte * name, const GLfloat * v );
void PACK_APIENTRY crPackProgramParameter4dNV( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramParameter4dNVSWAP( GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackProgramParameter4dvNV( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramParameter4dvNVSWAP( GLenum target, GLuint index, const GLdouble * params );
void PACK_APIENTRY crPackProgramParameter4fNV( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramParameter4fNVSWAP( GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackProgramParameter4fvNV( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramParameter4fvNVSWAP( GLenum target, GLuint index, const GLfloat * params );
void PACK_APIENTRY crPackProgramParameters4dvNV( GLenum target, GLuint index, GLuint num, const GLdouble * params );
void PACK_APIENTRY crPackProgramParameters4dvNVSWAP( GLenum target, GLuint index, GLuint num, const GLdouble * params );
void PACK_APIENTRY crPackProgramParameters4fvNV( GLenum target, GLuint index, GLuint num, const GLfloat * params );
void PACK_APIENTRY crPackProgramParameters4fvNVSWAP( GLenum target, GLuint index, GLuint num, const GLfloat * params );
void PACK_APIENTRY crPackProgramStringARB( GLenum target, GLenum format, GLsizei len, const GLvoid * string );
void PACK_APIENTRY crPackProgramStringARBSWAP( GLenum target, GLenum format, GLsizei len, const GLvoid * string );
void PACK_APIENTRY crPackPushAttrib( GLbitfield mask );
void PACK_APIENTRY crPackPushAttribSWAP( GLbitfield mask );
void PACK_APIENTRY crPackPushClientAttrib( GLbitfield mask );
void PACK_APIENTRY crPackPushClientAttribSWAP( GLbitfield mask );
void PACK_APIENTRY crPackPushMatrix( void );
void PACK_APIENTRY crPackPushMatrixSWAP( void );
void PACK_APIENTRY crPackPushName( GLuint name );
void PACK_APIENTRY crPackPushNameSWAP( GLuint name );
void PACK_APIENTRY crPackRasterPos2d( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackRasterPos2dSWAP( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackRasterPos2dv( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos2dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos2f( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackRasterPos2fSWAP( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackRasterPos2fv( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos2fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos2i( GLint x, GLint y );
void PACK_APIENTRY crPackRasterPos2iSWAP( GLint x, GLint y );
void PACK_APIENTRY crPackRasterPos2iv( const GLint * v );
void PACK_APIENTRY crPackRasterPos2ivSWAP( const GLint * v );
void PACK_APIENTRY crPackRasterPos2s( GLshort x, GLshort y );
void PACK_APIENTRY crPackRasterPos2sSWAP( GLshort x, GLshort y );
void PACK_APIENTRY crPackRasterPos2sv( const GLshort * v );
void PACK_APIENTRY crPackRasterPos2svSWAP( const GLshort * v );
void PACK_APIENTRY crPackRasterPos3d( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackRasterPos3dSWAP( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackRasterPos3dv( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos3dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos3f( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackRasterPos3fSWAP( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackRasterPos3fv( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos3fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos3i( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackRasterPos3iSWAP( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackRasterPos3iv( const GLint * v );
void PACK_APIENTRY crPackRasterPos3ivSWAP( const GLint * v );
void PACK_APIENTRY crPackRasterPos3s( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackRasterPos3sSWAP( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackRasterPos3sv( const GLshort * v );
void PACK_APIENTRY crPackRasterPos3svSWAP( const GLshort * v );
void PACK_APIENTRY crPackRasterPos4d( GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackRasterPos4dSWAP( GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackRasterPos4dv( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos4dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackRasterPos4f( GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackRasterPos4fSWAP( GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackRasterPos4fv( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos4fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackRasterPos4i( GLint x, GLint y, GLint z, GLint w );
void PACK_APIENTRY crPackRasterPos4iSWAP( GLint x, GLint y, GLint z, GLint w );
void PACK_APIENTRY crPackRasterPos4iv( const GLint * v );
void PACK_APIENTRY crPackRasterPos4ivSWAP( const GLint * v );
void PACK_APIENTRY crPackRasterPos4s( GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackRasterPos4sSWAP( GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackRasterPos4sv( const GLshort * v );
void PACK_APIENTRY crPackRasterPos4svSWAP( const GLshort * v );
void PACK_APIENTRY crPackReadBuffer( GLenum mode );
void PACK_APIENTRY crPackReadBufferSWAP( GLenum mode );
void PACK_APIENTRY crPackReadPixels( GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels, const CRPixelPackState * packstate, int * writeback );
void PACK_APIENTRY crPackReadPixelsSWAP( GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels, const CRPixelPackState * packstate, int * writeback );
void PACK_APIENTRY crPackRectd( GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2 );
void PACK_APIENTRY crPackRectdSWAP( GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2 );
void PACK_APIENTRY crPackRectdv( const GLdouble * v1, const GLdouble * v2 );
void PACK_APIENTRY crPackRectdvSWAP( const GLdouble * v1, const GLdouble * v2 );
void PACK_APIENTRY crPackRectf( GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2 );
void PACK_APIENTRY crPackRectfSWAP( GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2 );
void PACK_APIENTRY crPackRectfv( const GLfloat * v1, const GLfloat * v2 );
void PACK_APIENTRY crPackRectfvSWAP( const GLfloat * v1, const GLfloat * v2 );
void PACK_APIENTRY crPackRecti( GLint x1, GLint y1, GLint x2, GLint y2 );
void PACK_APIENTRY crPackRectiSWAP( GLint x1, GLint y1, GLint x2, GLint y2 );
void PACK_APIENTRY crPackRectiv( const GLint * v1, const GLint * v2 );
void PACK_APIENTRY crPackRectivSWAP( const GLint * v1, const GLint * v2 );
void PACK_APIENTRY crPackRects( GLshort x1, GLshort y1, GLshort x2, GLshort y2 );
void PACK_APIENTRY crPackRectsSWAP( GLshort x1, GLshort y1, GLshort x2, GLshort y2 );
void PACK_APIENTRY crPackRectsv( const GLshort * v1, const GLshort * v2 );
void PACK_APIENTRY crPackRectsvSWAP( const GLshort * v1, const GLshort * v2 );
void PACK_APIENTRY crPackRenderMode( GLenum mode, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackRenderModeSWAP( GLenum mode, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackRenderbufferStorageEXT( GLenum target, GLenum internalformat, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackRenderbufferStorageEXTSWAP( GLenum target, GLenum internalformat, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackRequestResidentProgramsNV( GLsizei n, const GLuint * ids );
void PACK_APIENTRY crPackRequestResidentProgramsNVSWAP( GLsizei n, const GLuint * ids );
void PACK_APIENTRY crPackRotated( GLdouble angle, GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackRotatedSWAP( GLdouble angle, GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackRotatef( GLfloat angle, GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackRotatefSWAP( GLfloat angle, GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackSampleCoverageARB( GLclampf value, GLboolean invert );
void PACK_APIENTRY crPackSampleCoverageARBSWAP( GLclampf value, GLboolean invert );
void PACK_APIENTRY crPackScaled( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackScaledSWAP( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackScalef( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackScalefSWAP( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackScissor( GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackScissorSWAP( GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackSecondaryColor3bEXT( GLbyte red, GLbyte green, GLbyte blue );
void PACK_APIENTRY crPackSecondaryColor3bEXTSWAP( GLbyte red, GLbyte green, GLbyte blue );
void PACK_APIENTRY crPackSecondaryColor3bvEXT( const GLbyte * v );
void PACK_APIENTRY crPackSecondaryColor3bvEXTSWAP( const GLbyte * v );
void PACK_APIENTRY crPackSecondaryColor3dEXT( GLdouble red, GLdouble green, GLdouble blue );
void PACK_APIENTRY crPackSecondaryColor3dEXTSWAP( GLdouble red, GLdouble green, GLdouble blue );
void PACK_APIENTRY crPackSecondaryColor3dvEXT( const GLdouble * v );
void PACK_APIENTRY crPackSecondaryColor3dvEXTSWAP( const GLdouble * v );
void PACK_APIENTRY crPackSecondaryColor3fEXT( GLfloat red, GLfloat green, GLfloat blue );
void PACK_APIENTRY crPackSecondaryColor3fEXTSWAP( GLfloat red, GLfloat green, GLfloat blue );
void PACK_APIENTRY crPackSecondaryColor3fvEXT( const GLfloat * v );
void PACK_APIENTRY crPackSecondaryColor3fvEXTSWAP( const GLfloat * v );
void PACK_APIENTRY crPackSecondaryColor3iEXT( GLint red, GLint green, GLint blue );
void PACK_APIENTRY crPackSecondaryColor3iEXTSWAP( GLint red, GLint green, GLint blue );
void PACK_APIENTRY crPackSecondaryColor3ivEXT( const GLint * v );
void PACK_APIENTRY crPackSecondaryColor3ivEXTSWAP( const GLint * v );
void PACK_APIENTRY crPackSecondaryColor3sEXT( GLshort red, GLshort green, GLshort blue );
void PACK_APIENTRY crPackSecondaryColor3sEXTSWAP( GLshort red, GLshort green, GLshort blue );
void PACK_APIENTRY crPackSecondaryColor3svEXT( const GLshort * v );
void PACK_APIENTRY crPackSecondaryColor3svEXTSWAP( const GLshort * v );
void PACK_APIENTRY crPackSecondaryColor3ubEXT( GLubyte red, GLubyte green, GLubyte blue );
void PACK_APIENTRY crPackSecondaryColor3ubEXTSWAP( GLubyte red, GLubyte green, GLubyte blue );
void PACK_APIENTRY crPackSecondaryColor3ubvEXT( const GLubyte * v );
void PACK_APIENTRY crPackSecondaryColor3ubvEXTSWAP( const GLubyte * v );
void PACK_APIENTRY crPackSecondaryColor3uiEXT( GLuint red, GLuint green, GLuint blue );
void PACK_APIENTRY crPackSecondaryColor3uiEXTSWAP( GLuint red, GLuint green, GLuint blue );
void PACK_APIENTRY crPackSecondaryColor3uivEXT( const GLuint * v );
void PACK_APIENTRY crPackSecondaryColor3uivEXTSWAP( const GLuint * v );
void PACK_APIENTRY crPackSecondaryColor3usEXT( GLushort red, GLushort green, GLushort blue );
void PACK_APIENTRY crPackSecondaryColor3usEXTSWAP( GLushort red, GLushort green, GLushort blue );
void PACK_APIENTRY crPackSecondaryColor3usvEXT( const GLushort * v );
void PACK_APIENTRY crPackSecondaryColor3usvEXTSWAP( const GLushort * v );
void PACK_APIENTRY crPackSecondaryColorPointerEXT( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackSecondaryColorPointerEXTSWAP( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackSelectBuffer( GLsizei size, GLuint * buffer );
void PACK_APIENTRY crPackSelectBufferSWAP( GLsizei size, GLuint * buffer );
void PACK_APIENTRY crPackSemaphoreCreateCR( GLuint name, GLuint count );
void PACK_APIENTRY crPackSemaphoreCreateCRSWAP( GLuint name, GLuint count );
void PACK_APIENTRY crPackSemaphoreDestroyCR( GLuint name );
void PACK_APIENTRY crPackSemaphoreDestroyCRSWAP( GLuint name );
void PACK_APIENTRY crPackSemaphorePCR( GLuint name );
void PACK_APIENTRY crPackSemaphorePCRSWAP( GLuint name );
void PACK_APIENTRY crPackSemaphoreVCR( GLuint name );
void PACK_APIENTRY crPackSemaphoreVCRSWAP( GLuint name );
void PACK_APIENTRY crPackSetFenceNV( GLuint fence, GLenum condition );
void PACK_APIENTRY crPackSetFenceNVSWAP( GLuint fence, GLenum condition );
void PACK_APIENTRY crPackShadeModel( GLenum mode );
void PACK_APIENTRY crPackShadeModelSWAP( GLenum mode );
void PACK_APIENTRY crPackShaderSource( GLuint shader, GLsizei count, const char ** string, const GLint * length );
void PACK_APIENTRY crPackShaderSourceSWAP( GLuint shader, GLsizei count, const char ** string, const GLint * length );
void PACK_APIENTRY crPackStencilFunc( GLenum func, GLint ref, GLuint mask );
void PACK_APIENTRY crPackStencilFuncSWAP( GLenum func, GLint ref, GLuint mask );
void PACK_APIENTRY crPackStencilFuncSeparate( GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask );
void PACK_APIENTRY crPackStencilFuncSeparateSWAP( GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask );
void PACK_APIENTRY crPackStencilMask( GLuint mask );
void PACK_APIENTRY crPackStencilMaskSWAP( GLuint mask );
void PACK_APIENTRY crPackStencilMaskSeparate( GLenum face, GLuint mask );
void PACK_APIENTRY crPackStencilMaskSeparateSWAP( GLenum face, GLuint mask );
void PACK_APIENTRY crPackStencilOp( GLenum fail, GLenum zfail, GLenum zpass );
void PACK_APIENTRY crPackStencilOpSWAP( GLenum fail, GLenum zfail, GLenum zpass );
void PACK_APIENTRY crPackStencilOpSeparate( GLenum face, GLenum fail, GLenum zfail, GLenum zpass );
void PACK_APIENTRY crPackStencilOpSeparateSWAP( GLenum face, GLenum fail, GLenum zfail, GLenum zpass );
void PACK_APIENTRY crPackSwapBuffers( GLint window, GLint flags );
void PACK_APIENTRY crPackSwapBuffersSWAP( GLint window, GLint flags );
void PACK_APIENTRY crPackTestFenceNV( GLuint fence, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackTestFenceNVSWAP( GLuint fence, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackTexCoord1d( GLdouble s );
void PACK_APIENTRY crPackTexCoord1dSWAP( GLdouble s );
void PACK_APIENTRY crPackTexCoord1dv( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord1dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord1f( GLfloat s );
void PACK_APIENTRY crPackTexCoord1fSWAP( GLfloat s );
void PACK_APIENTRY crPackTexCoord1fv( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord1fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord1i( GLint s );
void PACK_APIENTRY crPackTexCoord1iSWAP( GLint s );
void PACK_APIENTRY crPackTexCoord1iv( const GLint * v );
void PACK_APIENTRY crPackTexCoord1ivSWAP( const GLint * v );
void PACK_APIENTRY crPackTexCoord1s( GLshort s );
void PACK_APIENTRY crPackTexCoord1sSWAP( GLshort s );
void PACK_APIENTRY crPackTexCoord1sv( const GLshort * v );
void PACK_APIENTRY crPackTexCoord1svSWAP( const GLshort * v );
void PACK_APIENTRY crPackTexCoord2d( GLdouble s, GLdouble t );
void PACK_APIENTRY crPackTexCoord2dSWAP( GLdouble s, GLdouble t );
void PACK_APIENTRY crPackTexCoord2dv( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord2dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord2f( GLfloat s, GLfloat t );
void PACK_APIENTRY crPackTexCoord2fSWAP( GLfloat s, GLfloat t );
void PACK_APIENTRY crPackTexCoord2fv( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord2fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord2i( GLint s, GLint t );
void PACK_APIENTRY crPackTexCoord2iSWAP( GLint s, GLint t );
void PACK_APIENTRY crPackTexCoord2iv( const GLint * v );
void PACK_APIENTRY crPackTexCoord2ivSWAP( const GLint * v );
void PACK_APIENTRY crPackTexCoord2s( GLshort s, GLshort t );
void PACK_APIENTRY crPackTexCoord2sSWAP( GLshort s, GLshort t );
void PACK_APIENTRY crPackTexCoord2sv( const GLshort * v );
void PACK_APIENTRY crPackTexCoord2svSWAP( const GLshort * v );
void PACK_APIENTRY crPackTexCoord3d( GLdouble s, GLdouble t, GLdouble r );
void PACK_APIENTRY crPackTexCoord3dSWAP( GLdouble s, GLdouble t, GLdouble r );
void PACK_APIENTRY crPackTexCoord3dv( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord3dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord3f( GLfloat s, GLfloat t, GLfloat r );
void PACK_APIENTRY crPackTexCoord3fSWAP( GLfloat s, GLfloat t, GLfloat r );
void PACK_APIENTRY crPackTexCoord3fv( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord3fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord3i( GLint s, GLint t, GLint r );
void PACK_APIENTRY crPackTexCoord3iSWAP( GLint s, GLint t, GLint r );
void PACK_APIENTRY crPackTexCoord3iv( const GLint * v );
void PACK_APIENTRY crPackTexCoord3ivSWAP( const GLint * v );
void PACK_APIENTRY crPackTexCoord3s( GLshort s, GLshort t, GLshort r );
void PACK_APIENTRY crPackTexCoord3sSWAP( GLshort s, GLshort t, GLshort r );
void PACK_APIENTRY crPackTexCoord3sv( const GLshort * v );
void PACK_APIENTRY crPackTexCoord3svSWAP( const GLshort * v );
void PACK_APIENTRY crPackTexCoord4d( GLdouble s, GLdouble t, GLdouble r, GLdouble q );
void PACK_APIENTRY crPackTexCoord4dSWAP( GLdouble s, GLdouble t, GLdouble r, GLdouble q );
void PACK_APIENTRY crPackTexCoord4dv( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord4dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackTexCoord4f( GLfloat s, GLfloat t, GLfloat r, GLfloat q );
void PACK_APIENTRY crPackTexCoord4fSWAP( GLfloat s, GLfloat t, GLfloat r, GLfloat q );
void PACK_APIENTRY crPackTexCoord4fv( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord4fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackTexCoord4i( GLint s, GLint t, GLint r, GLint q );
void PACK_APIENTRY crPackTexCoord4iSWAP( GLint s, GLint t, GLint r, GLint q );
void PACK_APIENTRY crPackTexCoord4iv( const GLint * v );
void PACK_APIENTRY crPackTexCoord4ivSWAP( const GLint * v );
void PACK_APIENTRY crPackTexCoord4s( GLshort s, GLshort t, GLshort r, GLshort q );
void PACK_APIENTRY crPackTexCoord4sSWAP( GLshort s, GLshort t, GLshort r, GLshort q );
void PACK_APIENTRY crPackTexCoord4sv( const GLshort * v );
void PACK_APIENTRY crPackTexCoord4svSWAP( const GLshort * v );
void PACK_APIENTRY crPackTexCoordPointer( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackTexCoordPointerSWAP( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackTexEnvf( GLenum target, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexEnvfSWAP( GLenum target, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexEnvfv( GLenum target, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexEnvfvSWAP( GLenum target, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexEnvi( GLenum target, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexEnviSWAP( GLenum target, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexEnviv( GLenum target, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexEnvivSWAP( GLenum target, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexGend( GLenum coord, GLenum pname, GLdouble param );
void PACK_APIENTRY crPackTexGendSWAP( GLenum coord, GLenum pname, GLdouble param );
void PACK_APIENTRY crPackTexGendv( GLenum coord, GLenum pname, const GLdouble * params );
void PACK_APIENTRY crPackTexGendvSWAP( GLenum coord, GLenum pname, const GLdouble * params );
void PACK_APIENTRY crPackTexGenf( GLenum coord, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexGenfSWAP( GLenum coord, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexGenfv( GLenum coord, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexGenfvSWAP( GLenum coord, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexGeni( GLenum coord, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexGeniSWAP( GLenum coord, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexGeniv( GLenum coord, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexGenivSWAP( GLenum coord, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexImage1D( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage1DSWAP( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage2D( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage2DSWAP( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage3D( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage3DSWAP( GLenum target, GLint level, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage3DEXT( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexImage3DEXTSWAP( GLenum target, GLint level, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexParameterf( GLenum target, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexParameterfSWAP( GLenum target, GLenum pname, GLfloat param );
void PACK_APIENTRY crPackTexParameterfv( GLenum target, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexParameterfvSWAP( GLenum target, GLenum pname, const GLfloat * params );
void PACK_APIENTRY crPackTexParameteri( GLenum target, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexParameteriSWAP( GLenum target, GLenum pname, GLint param );
void PACK_APIENTRY crPackTexParameteriv( GLenum target, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexParameterivSWAP( GLenum target, GLenum pname, const GLint * params );
void PACK_APIENTRY crPackTexSubImage1D( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexSubImage1DSWAP( GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexSubImage2D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexSubImage2DSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexSubImage3D( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTexSubImage3DSWAP( GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackTrackMatrixNV( GLenum target, GLuint address, GLenum matrix, GLenum transform );
void PACK_APIENTRY crPackTrackMatrixNVSWAP( GLenum target, GLuint address, GLenum matrix, GLenum transform );
void PACK_APIENTRY crPackTranslated( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackTranslatedSWAP( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackTranslatef( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackTranslatefSWAP( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackUniform1f( GLint location, GLfloat v0 );
void PACK_APIENTRY crPackUniform1fSWAP( GLint location, GLfloat v0 );
void PACK_APIENTRY crPackUniform1fv( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform1fvSWAP( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform1i( GLint location, GLint v0 );
void PACK_APIENTRY crPackUniform1iSWAP( GLint location, GLint v0 );
void PACK_APIENTRY crPackUniform1iv( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform1ivSWAP( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform2f( GLint location, GLfloat v0, GLfloat v1 );
void PACK_APIENTRY crPackUniform2fSWAP( GLint location, GLfloat v0, GLfloat v1 );
void PACK_APIENTRY crPackUniform2fv( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform2fvSWAP( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform2i( GLint location, GLint v0, GLint v1 );
void PACK_APIENTRY crPackUniform2iSWAP( GLint location, GLint v0, GLint v1 );
void PACK_APIENTRY crPackUniform2iv( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform2ivSWAP( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform3f( GLint location, GLfloat v0, GLfloat v1, GLfloat v2 );
void PACK_APIENTRY crPackUniform3fSWAP( GLint location, GLfloat v0, GLfloat v1, GLfloat v2 );
void PACK_APIENTRY crPackUniform3fv( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform3fvSWAP( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform3i( GLint location, GLint v0, GLint v1, GLint v2 );
void PACK_APIENTRY crPackUniform3iSWAP( GLint location, GLint v0, GLint v1, GLint v2 );
void PACK_APIENTRY crPackUniform3iv( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform3ivSWAP( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform4f( GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3 );
void PACK_APIENTRY crPackUniform4fSWAP( GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3 );
void PACK_APIENTRY crPackUniform4fv( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform4fvSWAP( GLint location, GLsizei count, const GLfloat * value );
void PACK_APIENTRY crPackUniform4i( GLint location, GLint v0, GLint v1, GLint v2, GLint v3 );
void PACK_APIENTRY crPackUniform4iSWAP( GLint location, GLint v0, GLint v1, GLint v2, GLint v3 );
void PACK_APIENTRY crPackUniform4iv( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniform4ivSWAP( GLint location, GLsizei count, const GLint * value );
void PACK_APIENTRY crPackUniformMatrix2fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix2fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix2x3fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix2x3fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix2x4fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix2x4fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3x2fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3x2fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3x4fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix3x4fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4x2fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4x2fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4x3fv( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUniformMatrix4x3fvSWAP( GLint location, GLsizei count, GLboolean transpose, const GLfloat * value );
void PACK_APIENTRY crPackUnlockArraysEXT( void );
void PACK_APIENTRY crPackUnlockArraysEXTSWAP( void );
void PACK_APIENTRY crPackUnmapBufferARB( GLenum target, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackUnmapBufferARBSWAP( GLenum target, GLboolean* return_value, int * writeback );
void PACK_APIENTRY crPackUseProgram( GLuint program );
void PACK_APIENTRY crPackUseProgramSWAP( GLuint program );
void PACK_APIENTRY crPackValidateProgram( GLuint program );
void PACK_APIENTRY crPackValidateProgramSWAP( GLuint program );
void PACK_APIENTRY crPackVertex2d( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackVertex2dSWAP( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackVertex2dv( const GLdouble * v );
void PACK_APIENTRY crPackVertex2dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackVertex2f( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackVertex2fSWAP( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackVertex2fv( const GLfloat * v );
void PACK_APIENTRY crPackVertex2fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackVertex2i( GLint x, GLint y );
void PACK_APIENTRY crPackVertex2iSWAP( GLint x, GLint y );
void PACK_APIENTRY crPackVertex2iv( const GLint * v );
void PACK_APIENTRY crPackVertex2ivSWAP( const GLint * v );
void PACK_APIENTRY crPackVertex2s( GLshort x, GLshort y );
void PACK_APIENTRY crPackVertex2sSWAP( GLshort x, GLshort y );
void PACK_APIENTRY crPackVertex2sv( const GLshort * v );
void PACK_APIENTRY crPackVertex2svSWAP( const GLshort * v );
void PACK_APIENTRY crPackVertex3d( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackVertex3dSWAP( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackVertex3dv( const GLdouble * v );
void PACK_APIENTRY crPackVertex3dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackVertex3f( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackVertex3fSWAP( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackVertex3fv( const GLfloat * v );
void PACK_APIENTRY crPackVertex3fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackVertex3i( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackVertex3iSWAP( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackVertex3iv( const GLint * v );
void PACK_APIENTRY crPackVertex3ivSWAP( const GLint * v );
void PACK_APIENTRY crPackVertex3s( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackVertex3sSWAP( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackVertex3sv( const GLshort * v );
void PACK_APIENTRY crPackVertex3svSWAP( const GLshort * v );
void PACK_APIENTRY crPackVertex4d( GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackVertex4dSWAP( GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackVertex4dv( const GLdouble * v );
void PACK_APIENTRY crPackVertex4dvSWAP( const GLdouble * v );
void PACK_APIENTRY crPackVertex4f( GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackVertex4fSWAP( GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackVertex4fv( const GLfloat * v );
void PACK_APIENTRY crPackVertex4fvSWAP( const GLfloat * v );
void PACK_APIENTRY crPackVertex4i( GLint x, GLint y, GLint z, GLint w );
void PACK_APIENTRY crPackVertex4iSWAP( GLint x, GLint y, GLint z, GLint w );
void PACK_APIENTRY crPackVertex4iv( const GLint * v );
void PACK_APIENTRY crPackVertex4ivSWAP( const GLint * v );
void PACK_APIENTRY crPackVertex4s( GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackVertex4sSWAP( GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackVertex4sv( const GLshort * v );
void PACK_APIENTRY crPackVertex4svSWAP( const GLshort * v );
void PACK_APIENTRY crPackVertexArrayRangeNV( GLsizei length, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexArrayRangeNVSWAP( GLsizei length, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexAttrib1dARB( GLuint index, GLdouble x );
void PACK_APIENTRY crPackVertexAttrib1dARBSWAP( GLuint index, GLdouble x );
void PACK_APIENTRY crPackVertexAttrib1dvARB( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib1dvARBSWAP( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib1fARB( GLuint index, GLfloat x );
void PACK_APIENTRY crPackVertexAttrib1fARBSWAP( GLuint index, GLfloat x );
void PACK_APIENTRY crPackVertexAttrib1fvARB( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib1fvARBSWAP( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib1sARB( GLuint index, GLshort x );
void PACK_APIENTRY crPackVertexAttrib1sARBSWAP( GLuint index, GLshort x );
void PACK_APIENTRY crPackVertexAttrib1svARB( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib1svARBSWAP( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib2dARB( GLuint index, GLdouble x, GLdouble y );
void PACK_APIENTRY crPackVertexAttrib2dARBSWAP( GLuint index, GLdouble x, GLdouble y );
void PACK_APIENTRY crPackVertexAttrib2dvARB( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib2dvARBSWAP( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib2fARB( GLuint index, GLfloat x, GLfloat y );
void PACK_APIENTRY crPackVertexAttrib2fARBSWAP( GLuint index, GLfloat x, GLfloat y );
void PACK_APIENTRY crPackVertexAttrib2fvARB( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib2fvARBSWAP( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib2sARB( GLuint index, GLshort x, GLshort y );
void PACK_APIENTRY crPackVertexAttrib2sARBSWAP( GLuint index, GLshort x, GLshort y );
void PACK_APIENTRY crPackVertexAttrib2svARB( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib2svARBSWAP( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib3dARB( GLuint index, GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackVertexAttrib3dARBSWAP( GLuint index, GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackVertexAttrib3dvARB( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib3dvARBSWAP( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib3fARB( GLuint index, GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackVertexAttrib3fARBSWAP( GLuint index, GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackVertexAttrib3fvARB( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib3fvARBSWAP( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib3sARB( GLuint index, GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackVertexAttrib3sARBSWAP( GLuint index, GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackVertexAttrib3svARB( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib3svARBSWAP( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib4NbvARB( GLuint index, const GLbyte * v );
void PACK_APIENTRY crPackVertexAttrib4NbvARBSWAP( GLuint index, const GLbyte * v );
void PACK_APIENTRY crPackVertexAttrib4NivARB( GLuint index, const GLint * v );
void PACK_APIENTRY crPackVertexAttrib4NivARBSWAP( GLuint index, const GLint * v );
void PACK_APIENTRY crPackVertexAttrib4NsvARB( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib4NsvARBSWAP( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib4NubARB( GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w );
void PACK_APIENTRY crPackVertexAttrib4NubARBSWAP( GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w );
void PACK_APIENTRY crPackVertexAttrib4NubvARB( GLuint index, const GLubyte * v );
void PACK_APIENTRY crPackVertexAttrib4NubvARBSWAP( GLuint index, const GLubyte * v );
void PACK_APIENTRY crPackVertexAttrib4NuivARB( GLuint index, const GLuint * v );
void PACK_APIENTRY crPackVertexAttrib4NuivARBSWAP( GLuint index, const GLuint * v );
void PACK_APIENTRY crPackVertexAttrib4NusvARB( GLuint index, const GLushort * v );
void PACK_APIENTRY crPackVertexAttrib4NusvARBSWAP( GLuint index, const GLushort * v );
void PACK_APIENTRY crPackVertexAttrib4bvARB( GLuint index, const GLbyte * v );
void PACK_APIENTRY crPackVertexAttrib4bvARBSWAP( GLuint index, const GLbyte * v );
void PACK_APIENTRY crPackVertexAttrib4dARB( GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackVertexAttrib4dARBSWAP( GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w );
void PACK_APIENTRY crPackVertexAttrib4dvARB( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib4dvARBSWAP( GLuint index, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttrib4fARB( GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackVertexAttrib4fARBSWAP( GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w );
void PACK_APIENTRY crPackVertexAttrib4fvARB( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib4fvARBSWAP( GLuint index, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttrib4ivARB( GLuint index, const GLint * v );
void PACK_APIENTRY crPackVertexAttrib4ivARBSWAP( GLuint index, const GLint * v );
void PACK_APIENTRY crPackVertexAttrib4sARB( GLuint index, GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackVertexAttrib4sARBSWAP( GLuint index, GLshort x, GLshort y, GLshort z, GLshort w );
void PACK_APIENTRY crPackVertexAttrib4svARB( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib4svARBSWAP( GLuint index, const GLshort * v );
void PACK_APIENTRY crPackVertexAttrib4ubvARB( GLuint index, const GLubyte * v );
void PACK_APIENTRY crPackVertexAttrib4ubvARBSWAP( GLuint index, const GLubyte * v );
void PACK_APIENTRY crPackVertexAttrib4uivARB( GLuint index, const GLuint * v );
void PACK_APIENTRY crPackVertexAttrib4uivARBSWAP( GLuint index, const GLuint * v );
void PACK_APIENTRY crPackVertexAttrib4usvARB( GLuint index, const GLushort * v );
void PACK_APIENTRY crPackVertexAttrib4usvARBSWAP( GLuint index, const GLushort * v );
void PACK_APIENTRY crPackVertexAttribPointerARB( GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexAttribPointerARBSWAP( GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexAttribPointerNV( GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexAttribPointerNVSWAP( GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexAttribs1dvNV( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs1dvNVSWAP( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs1fvNV( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs1fvNVSWAP( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs1svNV( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs1svNVSWAP( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs2dvNV( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs2dvNVSWAP( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs2fvNV( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs2fvNVSWAP( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs2svNV( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs2svNVSWAP( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs3dvNV( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs3dvNVSWAP( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs3fvNV( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs3fvNVSWAP( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs3svNV( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs3svNVSWAP( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs4dvNV( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs4dvNVSWAP( GLuint index, GLsizei n, const GLdouble * v );
void PACK_APIENTRY crPackVertexAttribs4fvNV( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs4fvNVSWAP( GLuint index, GLsizei n, const GLfloat * v );
void PACK_APIENTRY crPackVertexAttribs4svNV( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs4svNVSWAP( GLuint index, GLsizei n, const GLshort * v );
void PACK_APIENTRY crPackVertexAttribs4ubvNV( GLuint index, GLsizei n, const GLubyte * v );
void PACK_APIENTRY crPackVertexAttribs4ubvNVSWAP( GLuint index, GLsizei n, const GLubyte * v );
void PACK_APIENTRY crPackVertexPointer( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackVertexPointerSWAP( GLint size, GLenum type, GLsizei stride, const GLvoid * pointer );
void PACK_APIENTRY crPackViewport( GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackViewportSWAP( GLint x, GLint y, GLsizei width, GLsizei height );
void PACK_APIENTRY crPackWindowCreate( const char * dpyName, GLint visBits, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackWindowCreateSWAP( const char * dpyName, GLint visBits, GLint* return_value, int * writeback );
void PACK_APIENTRY crPackWindowDestroy( GLint window );
void PACK_APIENTRY crPackWindowDestroySWAP( GLint window );
void PACK_APIENTRY crPackWindowPos2dARB( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackWindowPos2dARBSWAP( GLdouble x, GLdouble y );
void PACK_APIENTRY crPackWindowPos2dvARB( const GLdouble * v );
void PACK_APIENTRY crPackWindowPos2dvARBSWAP( const GLdouble * v );
void PACK_APIENTRY crPackWindowPos2fARB( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackWindowPos2fARBSWAP( GLfloat x, GLfloat y );
void PACK_APIENTRY crPackWindowPos2fvARB( const GLfloat * v );
void PACK_APIENTRY crPackWindowPos2fvARBSWAP( const GLfloat * v );
void PACK_APIENTRY crPackWindowPos2iARB( GLint x, GLint y );
void PACK_APIENTRY crPackWindowPos2iARBSWAP( GLint x, GLint y );
void PACK_APIENTRY crPackWindowPos2ivARB( const GLint * v );
void PACK_APIENTRY crPackWindowPos2ivARBSWAP( const GLint * v );
void PACK_APIENTRY crPackWindowPos2sARB( GLshort x, GLshort y );
void PACK_APIENTRY crPackWindowPos2sARBSWAP( GLshort x, GLshort y );
void PACK_APIENTRY crPackWindowPos2svARB( const GLshort * v );
void PACK_APIENTRY crPackWindowPos2svARBSWAP( const GLshort * v );
void PACK_APIENTRY crPackWindowPos3dARB( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackWindowPos3dARBSWAP( GLdouble x, GLdouble y, GLdouble z );
void PACK_APIENTRY crPackWindowPos3dvARB( const GLdouble * v );
void PACK_APIENTRY crPackWindowPos3dvARBSWAP( const GLdouble * v );
void PACK_APIENTRY crPackWindowPos3fARB( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackWindowPos3fARBSWAP( GLfloat x, GLfloat y, GLfloat z );
void PACK_APIENTRY crPackWindowPos3fvARB( const GLfloat * v );
void PACK_APIENTRY crPackWindowPos3fvARBSWAP( const GLfloat * v );
void PACK_APIENTRY crPackWindowPos3iARB( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackWindowPos3iARBSWAP( GLint x, GLint y, GLint z );
void PACK_APIENTRY crPackWindowPos3ivARB( const GLint * v );
void PACK_APIENTRY crPackWindowPos3ivARBSWAP( const GLint * v );
void PACK_APIENTRY crPackWindowPos3sARB( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackWindowPos3sARBSWAP( GLshort x, GLshort y, GLshort z );
void PACK_APIENTRY crPackWindowPos3svARB( const GLshort * v );
void PACK_APIENTRY crPackWindowPos3svARBSWAP( const GLshort * v );
void PACK_APIENTRY crPackWindowPosition( GLint window, GLint x, GLint y );
void PACK_APIENTRY crPackWindowPositionSWAP( GLint window, GLint x, GLint y );
void PACK_APIENTRY crPackWindowShow( GLint window, GLint flag );
void PACK_APIENTRY crPackWindowShowSWAP( GLint window, GLint flag );
void PACK_APIENTRY crPackWindowSize( GLint window, GLint w, GLint h );
void PACK_APIENTRY crPackWindowSizeSWAP( GLint window, GLint w, GLint h );
void PACK_APIENTRY crPackWindowVisibleRegion( GLint window, GLint cRects, GLint * pRects );
void PACK_APIENTRY crPackWindowVisibleRegionSWAP( GLint window, GLint cRects, GLint * pRects );
void PACK_APIENTRY crPackWriteback( GLint * writeback );
void PACK_APIENTRY crPackWritebackSWAP( GLint * writeback );
void PACK_APIENTRY crPackZPixCR( GLsizei width, GLsizei height, GLenum format, GLenum type, GLenum ztype, GLint zparm, GLint length, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackZPixCRSWAP( GLsizei width, GLsizei height, GLenum format, GLenum type, GLenum ztype, GLint zparm, GLint length, const GLvoid * pixels, const CRPixelPackState * packstate );
void PACK_APIENTRY crPackVertex2dBBOX(GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertex2dBBOX_COUNT(GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertex2dBBOXSWAP(GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertex2dBBOX_COUNTSWAP(GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertex2dvBBOX(const GLdouble * v);
void PACK_APIENTRY crPackVertex2dvBBOX_COUNT(const GLdouble * v);
void PACK_APIENTRY crPackVertex2dvBBOXSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex2dvBBOX_COUNTSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex2fBBOX(GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertex2fBBOX_COUNT(GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertex2fBBOXSWAP(GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertex2fBBOX_COUNTSWAP(GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertex2fvBBOX(const GLfloat * v);
void PACK_APIENTRY crPackVertex2fvBBOX_COUNT(const GLfloat * v);
void PACK_APIENTRY crPackVertex2fvBBOXSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex2fvBBOX_COUNTSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex2iBBOX(GLint x, GLint y);
void PACK_APIENTRY crPackVertex2iBBOX_COUNT(GLint x, GLint y);
void PACK_APIENTRY crPackVertex2iBBOXSWAP(GLint x, GLint y);
void PACK_APIENTRY crPackVertex2iBBOX_COUNTSWAP(GLint x, GLint y);
void PACK_APIENTRY crPackVertex2ivBBOX(const GLint * v);
void PACK_APIENTRY crPackVertex2ivBBOX_COUNT(const GLint * v);
void PACK_APIENTRY crPackVertex2ivBBOXSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex2ivBBOX_COUNTSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex2sBBOX(GLshort x, GLshort y);
void PACK_APIENTRY crPackVertex2sBBOX_COUNT(GLshort x, GLshort y);
void PACK_APIENTRY crPackVertex2sBBOXSWAP(GLshort x, GLshort y);
void PACK_APIENTRY crPackVertex2sBBOX_COUNTSWAP(GLshort x, GLshort y);
void PACK_APIENTRY crPackVertex2svBBOX(const GLshort * v);
void PACK_APIENTRY crPackVertex2svBBOX_COUNT(const GLshort * v);
void PACK_APIENTRY crPackVertex2svBBOXSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertex2svBBOX_COUNTSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertex3dBBOX(GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertex3dBBOX_COUNT(GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertex3dBBOXSWAP(GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertex3dBBOX_COUNTSWAP(GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertex3dvBBOX(const GLdouble * v);
void PACK_APIENTRY crPackVertex3dvBBOX_COUNT(const GLdouble * v);
void PACK_APIENTRY crPackVertex3dvBBOXSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex3dvBBOX_COUNTSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex3fBBOX(GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertex3fBBOX_COUNT(GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertex3fBBOXSWAP(GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertex3fBBOX_COUNTSWAP(GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertex3fvBBOX(const GLfloat * v);
void PACK_APIENTRY crPackVertex3fvBBOX_COUNT(const GLfloat * v);
void PACK_APIENTRY crPackVertex3fvBBOXSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex3fvBBOX_COUNTSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex3iBBOX(GLint x, GLint y, GLint z);
void PACK_APIENTRY crPackVertex3iBBOX_COUNT(GLint x, GLint y, GLint z);
void PACK_APIENTRY crPackVertex3iBBOXSWAP(GLint x, GLint y, GLint z);
void PACK_APIENTRY crPackVertex3iBBOX_COUNTSWAP(GLint x, GLint y, GLint z);
void PACK_APIENTRY crPackVertex3ivBBOX(const GLint * v);
void PACK_APIENTRY crPackVertex3ivBBOX_COUNT(const GLint * v);
void PACK_APIENTRY crPackVertex3ivBBOXSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex3ivBBOX_COUNTSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex3sBBOX(GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertex3sBBOX_COUNT(GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertex3sBBOXSWAP(GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertex3sBBOX_COUNTSWAP(GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertex3svBBOX(const GLshort * v);
void PACK_APIENTRY crPackVertex3svBBOX_COUNT(const GLshort * v);
void PACK_APIENTRY crPackVertex3svBBOXSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertex3svBBOX_COUNTSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertex4dBBOX(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertex4dBBOX_COUNT(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertex4dBBOXSWAP(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertex4dBBOX_COUNTSWAP(GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertex4dvBBOX(const GLdouble * v);
void PACK_APIENTRY crPackVertex4dvBBOX_COUNT(const GLdouble * v);
void PACK_APIENTRY crPackVertex4dvBBOXSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex4dvBBOX_COUNTSWAP(const GLdouble * v);
void PACK_APIENTRY crPackVertex4fBBOX(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertex4fBBOX_COUNT(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertex4fBBOXSWAP(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertex4fBBOX_COUNTSWAP(GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertex4fvBBOX(const GLfloat * v);
void PACK_APIENTRY crPackVertex4fvBBOX_COUNT(const GLfloat * v);
void PACK_APIENTRY crPackVertex4fvBBOXSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex4fvBBOX_COUNTSWAP(const GLfloat * v);
void PACK_APIENTRY crPackVertex4iBBOX(GLint x, GLint y, GLint z, GLint w);
void PACK_APIENTRY crPackVertex4iBBOX_COUNT(GLint x, GLint y, GLint z, GLint w);
void PACK_APIENTRY crPackVertex4iBBOXSWAP(GLint x, GLint y, GLint z, GLint w);
void PACK_APIENTRY crPackVertex4iBBOX_COUNTSWAP(GLint x, GLint y, GLint z, GLint w);
void PACK_APIENTRY crPackVertex4ivBBOX(const GLint * v);
void PACK_APIENTRY crPackVertex4ivBBOX_COUNT(const GLint * v);
void PACK_APIENTRY crPackVertex4ivBBOXSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex4ivBBOX_COUNTSWAP(const GLint * v);
void PACK_APIENTRY crPackVertex4sBBOX(GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertex4sBBOX_COUNT(GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertex4sBBOXSWAP(GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertex4sBBOX_COUNTSWAP(GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertex4svBBOX(const GLshort * v);
void PACK_APIENTRY crPackVertex4svBBOX_COUNT(const GLshort * v);
void PACK_APIENTRY crPackVertex4svBBOXSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertex4svBBOX_COUNTSWAP(const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib1dARBBBOX(GLuint index, GLdouble x);
void PACK_APIENTRY crPackVertexAttrib1dARBBBOX_COUNT(GLuint index, GLdouble x);
void PACK_APIENTRY crPackVertexAttrib1dARBBBOXSWAP(GLuint index, GLdouble x);
void PACK_APIENTRY crPackVertexAttrib1dARBBBOX_COUNTSWAP(GLuint index, GLdouble x);
void PACK_APIENTRY crPackVertexAttrib1dvARBBBOX(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib1dvARBBBOX_COUNT(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib1dvARBBBOXSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib1dvARBBBOX_COUNTSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib1fARBBBOX(GLuint index, GLfloat x);
void PACK_APIENTRY crPackVertexAttrib1fARBBBOX_COUNT(GLuint index, GLfloat x);
void PACK_APIENTRY crPackVertexAttrib1fARBBBOXSWAP(GLuint index, GLfloat x);
void PACK_APIENTRY crPackVertexAttrib1fARBBBOX_COUNTSWAP(GLuint index, GLfloat x);
void PACK_APIENTRY crPackVertexAttrib1fvARBBBOX(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib1fvARBBBOX_COUNT(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib1fvARBBBOXSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib1fvARBBBOX_COUNTSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib1sARBBBOX(GLuint index, GLshort x);
void PACK_APIENTRY crPackVertexAttrib1sARBBBOX_COUNT(GLuint index, GLshort x);
void PACK_APIENTRY crPackVertexAttrib1sARBBBOXSWAP(GLuint index, GLshort x);
void PACK_APIENTRY crPackVertexAttrib1sARBBBOX_COUNTSWAP(GLuint index, GLshort x);
void PACK_APIENTRY crPackVertexAttrib1svARBBBOX(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib1svARBBBOX_COUNT(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib1svARBBBOXSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib1svARBBBOX_COUNTSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib2dARBBBOX(GLuint index, GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertexAttrib2dARBBBOX_COUNT(GLuint index, GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertexAttrib2dARBBBOXSWAP(GLuint index, GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertexAttrib2dARBBBOX_COUNTSWAP(GLuint index, GLdouble x, GLdouble y);
void PACK_APIENTRY crPackVertexAttrib2dvARBBBOX(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib2dvARBBBOX_COUNT(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib2dvARBBBOXSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib2dvARBBBOX_COUNTSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib2fARBBBOX(GLuint index, GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertexAttrib2fARBBBOX_COUNT(GLuint index, GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertexAttrib2fARBBBOXSWAP(GLuint index, GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertexAttrib2fARBBBOX_COUNTSWAP(GLuint index, GLfloat x, GLfloat y);
void PACK_APIENTRY crPackVertexAttrib2fvARBBBOX(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib2fvARBBBOX_COUNT(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib2fvARBBBOXSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib2fvARBBBOX_COUNTSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib2sARBBBOX(GLuint index, GLshort x, GLshort y);
void PACK_APIENTRY crPackVertexAttrib2sARBBBOX_COUNT(GLuint index, GLshort x, GLshort y);
void PACK_APIENTRY crPackVertexAttrib2sARBBBOXSWAP(GLuint index, GLshort x, GLshort y);
void PACK_APIENTRY crPackVertexAttrib2sARBBBOX_COUNTSWAP(GLuint index, GLshort x, GLshort y);
void PACK_APIENTRY crPackVertexAttrib2svARBBBOX(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib2svARBBBOX_COUNT(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib2svARBBBOXSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib2svARBBBOX_COUNTSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib3dARBBBOX(GLuint index, GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertexAttrib3dARBBBOX_COUNT(GLuint index, GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertexAttrib3dARBBBOXSWAP(GLuint index, GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertexAttrib3dARBBBOX_COUNTSWAP(GLuint index, GLdouble x, GLdouble y, GLdouble z);
void PACK_APIENTRY crPackVertexAttrib3dvARBBBOX(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib3dvARBBBOX_COUNT(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib3dvARBBBOXSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib3dvARBBBOX_COUNTSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib3fARBBBOX(GLuint index, GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertexAttrib3fARBBBOX_COUNT(GLuint index, GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertexAttrib3fARBBBOXSWAP(GLuint index, GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertexAttrib3fARBBBOX_COUNTSWAP(GLuint index, GLfloat x, GLfloat y, GLfloat z);
void PACK_APIENTRY crPackVertexAttrib3fvARBBBOX(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib3fvARBBBOX_COUNT(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib3fvARBBBOXSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib3fvARBBBOX_COUNTSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib3sARBBBOX(GLuint index, GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertexAttrib3sARBBBOX_COUNT(GLuint index, GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertexAttrib3sARBBBOXSWAP(GLuint index, GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertexAttrib3sARBBBOX_COUNTSWAP(GLuint index, GLshort x, GLshort y, GLshort z);
void PACK_APIENTRY crPackVertexAttrib3svARBBBOX(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib3svARBBBOX_COUNT(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib3svARBBBOXSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib3svARBBBOX_COUNTSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4NbvARBBBOX(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4NbvARBBBOX_COUNT(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4NbvARBBBOXSWAP(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4NbvARBBBOX_COUNTSWAP(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4NivARBBBOX(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4NivARBBBOX_COUNT(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4NivARBBBOXSWAP(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4NivARBBBOX_COUNTSWAP(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4NsvARBBBOX(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4NsvARBBBOX_COUNT(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4NsvARBBBOXSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4NsvARBBBOX_COUNTSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4NubARBBBOX(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
void PACK_APIENTRY crPackVertexAttrib4NubARBBBOX_COUNT(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
void PACK_APIENTRY crPackVertexAttrib4NubARBBBOXSWAP(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
void PACK_APIENTRY crPackVertexAttrib4NubARBBBOX_COUNTSWAP(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);
void PACK_APIENTRY crPackVertexAttrib4NubvARBBBOX(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4NubvARBBBOX_COUNT(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4NubvARBBBOXSWAP(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4NubvARBBBOX_COUNTSWAP(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4NuivARBBBOX(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4NuivARBBBOX_COUNT(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4NuivARBBBOXSWAP(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4NuivARBBBOX_COUNTSWAP(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4NusvARBBBOX(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4NusvARBBBOX_COUNT(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4NusvARBBBOXSWAP(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4NusvARBBBOX_COUNTSWAP(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4bvARBBBOX(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4bvARBBBOX_COUNT(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4bvARBBBOXSWAP(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4bvARBBBOX_COUNTSWAP(GLuint index, const GLbyte * v);
void PACK_APIENTRY crPackVertexAttrib4dARBBBOX(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertexAttrib4dARBBBOX_COUNT(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertexAttrib4dARBBBOXSWAP(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertexAttrib4dARBBBOX_COUNTSWAP(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w);
void PACK_APIENTRY crPackVertexAttrib4dvARBBBOX(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib4dvARBBBOX_COUNT(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib4dvARBBBOXSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib4dvARBBBOX_COUNTSWAP(GLuint index, const GLdouble * v);
void PACK_APIENTRY crPackVertexAttrib4fARBBBOX(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertexAttrib4fARBBBOX_COUNT(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertexAttrib4fARBBBOXSWAP(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertexAttrib4fARBBBOX_COUNTSWAP(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w);
void PACK_APIENTRY crPackVertexAttrib4fvARBBBOX(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib4fvARBBBOX_COUNT(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib4fvARBBBOXSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib4fvARBBBOX_COUNTSWAP(GLuint index, const GLfloat * v);
void PACK_APIENTRY crPackVertexAttrib4ivARBBBOX(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4ivARBBBOX_COUNT(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4ivARBBBOXSWAP(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4ivARBBBOX_COUNTSWAP(GLuint index, const GLint * v);
void PACK_APIENTRY crPackVertexAttrib4sARBBBOX(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertexAttrib4sARBBBOX_COUNT(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertexAttrib4sARBBBOXSWAP(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertexAttrib4sARBBBOX_COUNTSWAP(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w);
void PACK_APIENTRY crPackVertexAttrib4svARBBBOX(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4svARBBBOX_COUNT(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4svARBBBOXSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4svARBBBOX_COUNTSWAP(GLuint index, const GLshort * v);
void PACK_APIENTRY crPackVertexAttrib4ubvARBBBOX(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4ubvARBBBOX_COUNT(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4ubvARBBBOXSWAP(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4ubvARBBBOX_COUNTSWAP(GLuint index, const GLubyte * v);
void PACK_APIENTRY crPackVertexAttrib4uivARBBBOX(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4uivARBBBOX_COUNT(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4uivARBBBOXSWAP(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4uivARBBBOX_COUNTSWAP(GLuint index, const GLuint * v);
void PACK_APIENTRY crPackVertexAttrib4usvARBBBOX(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4usvARBBBOX_COUNT(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4usvARBBBOXSWAP(GLuint index, const GLushort * v);
void PACK_APIENTRY crPackVertexAttrib4usvARBBBOX_COUNTSWAP(GLuint index, const GLushort * v);

#ifdef __cplusplus
}
#endif

#endif /* CR_PACKFUNCTIONS_H */

