/* This code is AUTOGENERATED!!! */

#include "state.h"
#include "state_internals.h"

void crStateStencilDiff(CRStencilBits *b, CRbitvalue *bitID,
		CRContext *fromCtx, CRContext *toCtx)
{
	CRStencilState *from = &(fromCtx->stencil);
	CRStencilState *to = &(toCtx->stencil);
	unsigned int j, i;
	CRbitvalue nbitID[CR_MAX_BITARRAY];
	for (j=0;j<CR_MAX_BITARRAY;j++)
		nbitID[j] = ~bitID[j];
	i = 0; /* silence compiler */
	if (CHECKDIRTY(b->enable, bitID))
	{
		glAble able[2];
		able[0] = diff_api.Disable;
		able[1] = diff_api.Enable;
		if (from->stencilTest != to->stencilTest)
		{
			able[to->stencilTest](GL_STENCIL_TEST);
			from->stencilTest = to->stencilTest;
		}
		CLEARDIRTY(b->enable, nbitID);
	}
	if (CHECKDIRTY(b->clearValue, bitID))
	{
		if (from->clearValue != to->clearValue)
		{
			diff_api.ClearStencil (to->clearValue);
			from->clearValue = to->clearValue;
		}
		CLEARDIRTY(b->clearValue, nbitID);
	}
	if (to->stencilTest)
	{
		if (CHECKDIRTY(b->func, bitID))
		{
			if (from->func != to->func ||
			    from->ref != to->ref ||
			    from->mask != to->mask)
			{
				diff_api.StencilFunc (to->func,
				    to->ref,
				    to->mask);
				from->func = to->func;
				from->ref = to->ref;
				from->mask = to->mask;
			}
			CLEARDIRTY(b->func, nbitID);
		}
		if (CHECKDIRTY(b->op, bitID))
		{
			if (from->fail != to->fail ||
			    from->passDepthFail != to->passDepthFail ||
			    from->passDepthPass != to->passDepthPass)
			{
				diff_api.StencilOp (to->fail,
				    to->passDepthFail,
				    to->passDepthPass);
				from->fail = to->fail;
				from->passDepthFail = to->passDepthFail;
				from->passDepthPass = to->passDepthPass;
			}
			CLEARDIRTY(b->op, nbitID);
		}
		if (CHECKDIRTY(b->writeMask, bitID))
		{
			if (from->writeMask != to->writeMask)
			{
				diff_api.StencilMask (to->writeMask);
				from->writeMask = to->writeMask;
			}
			CLEARDIRTY(b->writeMask, nbitID);
		}
	} /*stencilTest*/
	CLEARDIRTY(b->dirty, nbitID);
}

void crStateStencilSwitch(CRStencilBits *b, CRbitvalue *bitID,
		CRContext *fromCtx, CRContext *toCtx)
{
	CRStencilState *from = &(fromCtx->stencil);
	CRStencilState *to = &(toCtx->stencil);
	unsigned int j, i;
	CRbitvalue nbitID[CR_MAX_BITARRAY];
	for (j=0;j<CR_MAX_BITARRAY;j++)
		nbitID[j] = ~bitID[j];
	i = 0; /* silence compiler */
	if (CHECKDIRTY(b->enable, bitID))
	{
		glAble able[2];
		able[0] = diff_api.Disable;
		able[1] = diff_api.Enable;
		if (from->stencilTest != to->stencilTest)
		{
			able[to->stencilTest](GL_STENCIL_TEST);
			FILLDIRTY(b->enable);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->enable, nbitID);
	}
	if (CHECKDIRTY(b->clearValue, bitID))
	{
		if (from->clearValue != to->clearValue)
		{
			diff_api.ClearStencil (to->clearValue);
			FILLDIRTY(b->clearValue);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->clearValue, nbitID);
	}
	if (CHECKDIRTY(b->func, bitID))
	{
		if (from->func != to->func ||
		    from->ref != to->ref ||
		    from->mask != to->mask)
		{
			diff_api.StencilFunc (to->func,
			    to->ref,
			    to->mask);
			FILLDIRTY(b->func);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->func, nbitID);
	}
	if (CHECKDIRTY(b->op, bitID))
	{
		if (from->fail != to->fail ||
		    from->passDepthFail != to->passDepthFail ||
		    from->passDepthPass != to->passDepthPass)
		{
			diff_api.StencilOp (to->fail,
			    to->passDepthFail,
			    to->passDepthPass);
			FILLDIRTY(b->op);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->op, nbitID);
	}
	if (CHECKDIRTY(b->writeMask, bitID))
	{
		if (from->writeMask != to->writeMask)
		{
			diff_api.StencilMask (to->writeMask);
			FILLDIRTY(b->writeMask);
			FILLDIRTY(b->dirty);
		}
		CLEARDIRTY(b->writeMask, nbitID);
	}
	CLEARDIRTY(b->dirty, nbitID);
}

